# Changelog

All notable, unreleased changes to this project will be documented in this file. For the released changes, please visit the [Releases](https://github.com/spree/spree/releases) page.

## [4.3.0] - 2021-09-14

- Improve `Product#total_on_hand` & `Variant#backordered?` performance [#11335](https://github.com/spree/spree/pull/11335) ([damianlegawiec](https://github.com/damianlegawiec))
- Add API endpoint for changing cart currency [#11331](https://github.com/spree/spree/pull/11331) ([rafalcymerys](https://github.com/rafalcymerys))
- SD-1462 Product #purchasable?, #in_stock?, #backorderable? will use defau… [#11329](https://github.com/spree/spree/pull/11329) ([kgorazd](https://github.com/kgorazd))
- Add missing spree preferences reset in API specs [#11324](https://github.com/spree/spree/pull/11324) ([damianlegawiec](https://github.com/damianlegawiec))
- Return filter options with products [#11318](https://github.com/spree/spree/pull/11318) ([rafalcymerys](https://github.com/rafalcymerys))
- [SD-1456] Default Bill Address ID / Ship Address ID in Account Update endpoint should be strings, not integers [#11317](https://github.com/spree/spree/pull/11317) ([pmilewski](https://github.com/pmilewski))
- Move leftover email template from core to emails gem [#11316](https://github.com/spree/spree/pull/11316) ([damianlegawiec](https://github.com/damianlegawiec))
- Use Pretty Name in section Links + Bug Fix [#11300](https://github.com/spree/spree/pull/11300) ([MatthewKennedy](https://github.com/MatthewKennedy))
- [SD-1439] Invalid-SQL-statement-when-filtering-Products-via-Storefront-API [#11298](https://github.com/spree/spree/pull/11298) ([kgorazd](https://github.com/kgorazd))
- API for associating order with user [#11297](https://github.com/spree/spree/pull/11297) ([rafalcymerys](https://github.com/rafalcymerys))
- [SD-1377] Display addresses from countries supported in the current store [#11271](https://github.com/spree/spree/pull/11271) ([v10110](https://github.com/v10110))
- Add public preferences to payment methods Storefront API [#11301](https://github.com/spree/spree/pull/11301) ([damianlegawiec](https://github.com/damianlegawiec))
- ADMIN UI - Use svg for missing image [#11296](https://github.com/spree/spree/pull/11296) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Storefront Countries API returns all countries on a single page [#11289](https://github.com/spree/spree/pull/11289) ([damianlegawiec](https://github.com/damianlegawiec))
- [NX-7] Filter taxons by taxonomies' permalinks [#11288](https://github.com/spree/spree/pull/11288) ([pmilewski](https://github.com/pmilewski))
- Allow to sort products by sku [#11270](https://github.com/spree/spree/pull/11270) ([szymoniwacz](https://github.com/szymoniwacz))
- Allow to specify image dimensions/quality in API URLs to get the transformed image [#11264](https://github.com/spree/spree/pull/11264) ([damianlegawiec](https://github.com/damianlegawiec))
- Use icon serializer for menu_item. [#11236](https://github.com/spree/spree/pull/11236) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Fix API V2 Platform products by price sorting [#11276](https://github.com/spree/spree/pull/11276) ([szymoniwacz](https://github.com/szymoniwacz))
- Fix api v2 products available on specs [#11273](https://github.com/spree/spree/pull/11273) ([szymoniwacz](https://github.com/szymoniwacz))
- Updated Extension Generator for Spree 4.3 [#11272](https://github.com/spree/spree/pull/11272) ([damianlegawiec](https://github.com/damianlegawiec))
- Add CMS Pages to Storefront API docs [#11268](https://github.com/spree/spree/pull/11268) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Add primary variant to storefront product serializer [#11267](https://github.com/spree/spree/pull/11267) ([szymoniwacz](https://github.com/szymoniwacz))
- Storefront product sort [#11266](https://github.com/spree/spree/pull/11266) ([szymoniwacz](https://github.com/szymoniwacz))
- Add product scopes [#11265](https://github.com/spree/spree/pull/11265) ([szymoniwacz](https://github.com/szymoniwacz))
- [SD-1414] Update api platform specs and swagger [#11263](https://github.com/spree/spree/pull/11263) ([szymoniwacz](https://github.com/szymoniwacz))
- Allow frontend flash alert to span full width of screen. [#11262](https://github.com/spree/spree/pull/11262) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Move #ensure_current_store to core based controller helper [#11261](https://github.com/spree/spree/pull/11261) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Update Seed Data. [#11260](https://github.com/spree/spree/pull/11260) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Allow footer columns to stack neatly if more than 4 used. [#11259](https://github.com/spree/spree/pull/11259) ([MatthewKennedy](https://github.com/MatthewKennedy))
- [SD-1400] Search properties by filterable status [#11258](https://github.com/spree/spree/pull/11258) ([v10110](https://github.com/v10110))
- Increased API v2 per page limit to 500 [#11257](https://github.com/spree/spree/pull/11257) ([damianlegawiec](https://github.com/damianlegawiec))
- Fix typo - (parent) in location_after_destroy. [#11256](https://github.com/spree/spree/pull/11256) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Use dash (-) for id target elements on sliders, not backslash (/) [#11255](https://github.com/spree/spree/pull/11255) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Fix typos [#11254](https://github.com/spree/spree/pull/11254) ([vfonic](https://github.com/vfonic))
- Extracted gatsby guides to https://github.com/spree/spree-guides-gatsby [#11253](https://github.com/spree/spree/pull/11253) ([damianlegawiec](https://github.com/damianlegawiec))
- Redirect developer documentation to the new dev-docs site [#11252](https://github.com/spree/spree/pull/11252) ([damianlegawiec](https://github.com/damianlegawiec))
- Replace links to guides.spreecommerce.org to dev-docs.spreecommerce.org [#11250](https://github.com/spree/spree/pull/11250) ([damianlegawiec](https://github.com/damianlegawiec))
- Rescue load error on dummy app generation [#11247](https://github.com/spree/spree/pull/11247) ([szymoniwacz](https://github.com/szymoniwacz))
- Added universal collection caching for Platform/Storefront API [#11245](https://github.com/spree/spree/pull/11245) ([damianlegawiec](https://github.com/damianlegawiec))
- [SD-1339] - Change the taxon autocomplete to use Platform API. [#11244](https://github.com/spree/spree/pull/11244) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Fix create StoreProducts migration [#11241](https://github.com/spree/spree/pull/11241) ([damianlegawiec](https://github.com/damianlegawiec))
- Fixed: do not call OrderMailer directly and use Order#deliver_order_c… [#11239](https://github.com/spree/spree/pull/11239) ([damianlegawiec](https://github.com/damianlegawiec))
- Add locale for model cms_pages and cms_sections [#11238](https://github.com/spree/spree/pull/11238) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Add text foreground and background color options to WYSIWYG editor. [#11237](https://github.com/spree/spree/pull/11237) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Tidy up serializer -name serializer for polymorphic associations. [#11235](https://github.com/spree/spree/pull/11235) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Fix Polymorphic Association to Linked Resources via STI Page Types [#11234](https://github.com/spree/spree/pull/11234) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Fix validation errors for Swagger Open API [#11228](https://github.com/spree/spree/pull/11228) ([MatthewKennedy](https://github.com/MatthewKennedy))
- [SD-1266] Fix lifetime stats display [#11208](https://github.com/spree/spree/pull/11208) ([szymoniwacz](https://github.com/szymoniwacz))
- Migrate User Roles code from Spree Auth Devise to Spree Core [#11108](https://github.com/spree/spree/pull/11108) ([damianlegawiec](https://github.com/damianlegawiec))
- Do not authorize admin on forbidden [#11226](https://github.com/spree/spree/pull/11226) ([szymoniwacz](https://github.com/szymoniwacz))
- User `Product.like_any` in Storefront Products API [#11225](https://github.com/spree/spree/pull/11225) ([damianlegawiec](https://github.com/damianlegawiec))
- Credit Card model: Drop DB connection check as it's not reliable [#11224](https://github.com/spree/spree/pull/11224) ([damianlegawiec](https://github.com/damianlegawiec))
- [SD-1405] - As a Admin on Edit Page I always see live preview, even without the Frontend installed [#11222](https://github.com/spree/spree/pull/11222) ([MatthewKennedy](https://github.com/MatthewKennedy))
- [SD-1404] -  Always link to Product pages in Emails [#11219](https://github.com/spree/spree/pull/11219) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Fix Ambiguous span tag containing 24 causing promotion fail. [#11218](https://github.com/spree/spree/pull/11218) ([MatthewKennedy](https://github.com/MatthewKennedy))
- [SD-1402] - As a Admin on Edit Product page I can see a Preview Product link without Spree Frontend [#11216](https://github.com/spree/spree/pull/11216) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Added Platform API tests and OpenAPI docs for Taxons API [#11214](https://github.com/spree/spree/pull/11214) ([damianlegawiec](https://github.com/damianlegawiec))
- Updates to more sample data from taxon permalink change. [#11213](https://github.com/spree/spree/pull/11213) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Remove Line That Strips Out 'categories/' From Permalink In Sample Data. [#11211](https://github.com/spree/spree/pull/11211) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Guard against nil value slug or permalink. [#11210](https://github.com/spree/spree/pull/11210) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Don't display Store dropdown when it shouldn't be [#11209](https://github.com/spree/spree/pull/11209) ([damianlegawiec](https://github.com/damianlegawiec))
- Active Record Base Store & Rails 5 [#11207](https://github.com/spree/spree/pull/11207) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Fix Rails 5.2 attachment presence CMS sections. [#11205](https://github.com/spree/spree/pull/11205) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Move JS assets outside of API gem [#11204](https://github.com/spree/spree/pull/11204) ([damianlegawiec](https://github.com/damianlegawiec))
- Fix active link color in drop-down menu. [#11203](https://github.com/spree/spree/pull/11203) ([MatthewKennedy](https://github.com/MatthewKennedy))
- localize links for hero and feature article sections. [#11202](https://github.com/spree/spree/pull/11202) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Quick fix for clean request on AutoComplete [#11201](https://github.com/spree/spree/pull/11201) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Products API, Taxons API and Classifications API performance fixes [#11199](https://github.com/spree/spree/pull/11199) ([damianlegawiec](https://github.com/damianlegawiec))
-  Move validation of locale uniqueness on homepage to cms_page.rb [#11198](https://github.com/spree/spree/pull/11198) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Fix/i18n locale issue [#11197](https://github.com/spree/spree/pull/11197) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Fix duplicate key causing swagger to fail. [#11196](https://github.com/spree/spree/pull/11196) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Platform API Classifications endpoints [#11195](https://github.com/spree/spree/pull/11195) ([damianlegawiec](https://github.com/damianlegawiec))
- Platform API - Product & Variants serializers [#11194](https://github.com/spree/spree/pull/11194) ([damianlegawiec](https://github.com/damianlegawiec))
- Add WYSIWYG editor to taxon description. [#11193](https://github.com/spree/spree/pull/11193) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Platform API serializer spec fixes [#11191](https://github.com/spree/spree/pull/11191) ([damianlegawiec](https://github.com/damianlegawiec))
- Drop Promotion#code and path uniqueness validation [#11189](https://github.com/spree/spree/pull/11189) ([damianlegawiec](https://github.com/damianlegawiec))
- Fix Promotion Pagination [#11188](https://github.com/spree/spree/pull/11188) ([MatthewKennedy](https://github.com/MatthewKennedy))
- SD-1389 add platform serializers tests [#11187](https://github.com/spree/spree/pull/11187) ([KacperMekarski](https://github.com/KacperMekarski))
- Fix user account store credit display [#11186](https://github.com/spree/spree/pull/11186) ([szymoniwacz](https://github.com/szymoniwacz))
- Fix/sd 666 double title [#11184](https://github.com/spree/spree/pull/11184) ([damianlegawiec](https://github.com/damianlegawiec))
- Change integer id columns into bigint [#11182](https://github.com/spree/spree/pull/11182) ([szymoniwacz](https://github.com/szymoniwacz))
- Use RTE for product description. [#11181](https://github.com/spree/spree/pull/11181) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Hide unavailable user's credit cards in the account page [#11180](https://github.com/spree/spree/pull/11180) ([tomurb](https://github.com/tomurb))
- Add missing end. [#11179](https://github.com/spree/spree/pull/11179) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Use var not const in ES5 JavaScript file. [#11178](https://github.com/spree/spree/pull/11178) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Fix Issue when creating a store and a required field has no value. [#11176](https://github.com/spree/spree/pull/11176) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Fix AddStoreIdToSpreeCustomerReturns migration [#11174](https://github.com/spree/spree/pull/11174) ([szymoniwacz](https://github.com/szymoniwacz))
- Fix sandbox script to also include spree_sample gem and load samples [#11173](https://github.com/spree/spree/pull/11173) ([damianlegawiec](https://github.com/damianlegawiec))
- SD-1378 Storefront API docs - update address named as List of Addresses [#11172](https://github.com/spree/spree/pull/11172) ([tomurb](https://github.com/tomurb))
- Fix CSS causing drop-down to be off center on chrome. [#11170](https://github.com/spree/spree/pull/11170) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Add store for products finder taxons scope [#11169](https://github.com/spree/spree/pull/11169) ([szymoniwacz](https://github.com/szymoniwacz))
- List only current store taxons for prototype form [#11168](https://github.com/spree/spree/pull/11168) ([szymoniwacz](https://github.com/szymoniwacz))
- SD-1379 Multi Store Promotions [#11167](https://github.com/spree/spree/pull/11167) ([damianlegawiec](https://github.com/damianlegawiec))
- SD-1374 Associate customer returns with store [#11166](https://github.com/spree/spree/pull/11166) ([szymoniwacz](https://github.com/szymoniwacz))
- Show payment form in checkout when has credit cards for the wrong PaymentMethod [#11164](https://github.com/spree/spree/pull/11164) ([tomurb](https://github.com/tomurb))
- [SD-1367] Use store.default_country instead of deprecated one [#11162](https://github.com/spree/spree/pull/11162) ([szymoniwacz](https://github.com/szymoniwacz))
- [SD-1339] Add store to taxonomies [#11161](https://github.com/spree/spree/pull/11161) ([szymoniwacz](https://github.com/szymoniwacz))
- Allow developer to specify deprecation for preference [#11160](https://github.com/spree/spree/pull/11160) ([Vegann](https://github.com/Vegann))
- Add additional associations to the Store model [#11158](https://github.com/spree/spree/pull/11158) ([damianlegawiec](https://github.com/damianlegawiec))
- Compatibility fixes for extension test runners and Spree 4.3 [#11156](https://github.com/spree/spree/pull/11156) ([damianlegawiec](https://github.com/damianlegawiec))
- Add Store to StoreCredit association [#11155](https://github.com/spree/spree/pull/11155) ([szymoniwacz](https://github.com/szymoniwacz))
- [SD-1372] Add the ability to create a new store from store selector drop-down [#11154](https://github.com/spree/spree/pull/11154) ([MatthewKennedy](https://github.com/MatthewKennedy))
- fix spelling in About Spark Solutions section [#11153](https://github.com/spree/spree/pull/11153) ([aneskap](https://github.com/aneskap))
- Fix small spelling issue in Support Section [#11152](https://github.com/spree/spree/pull/11152) ([aneskap](https://github.com/aneskap))
- SD-1255 Display correct currency for customer return's pre-tax total [#11150](https://github.com/spree/spree/pull/11150) ([tomurb](https://github.com/tomurb))
- SD-1361 Add destroy endpoint for basket in spree-api. [#11149](https://github.com/spree/spree/pull/11149) ([KacperMekarski](https://github.com/KacperMekarski))
- Add unique index on property_id and product_id on spree_product_properties [#11148](https://github.com/spree/spree/pull/11148) ([szymoniwacz](https://github.com/szymoniwacz))
- Fix bug, ensure that current_oauth_token method return not expirable token [#11147](https://github.com/spree/spree/pull/11147) ([PauSentis](https://github.com/PauSentis))
- Add missing pagination to menus. [#11143](https://github.com/spree/spree/pull/11143) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Require Product and Payment Method to be assigned to at least one store [#11141](https://github.com/spree/spree/pull/11141) ([damianlegawiec](https://github.com/damianlegawiec))
- SD-1357 move core create & update address services to frontend addresses controller [#11140](https://github.com/spree/spree/pull/11140) ([KacperMekarski](https://github.com/KacperMekarski))
- Fixed store switching based an URL + added a lot of regression tests … [#11139](https://github.com/spree/spree/pull/11139) ([damianlegawiec](https://github.com/damianlegawiec))
- SD-1354 Add pagination to the view of product's variants [#11137](https://github.com/spree/spree/pull/11137) ([tomurb](https://github.com/tomurb))
- Fix spec for the product sorting [#11135](https://github.com/spree/spree/pull/11135) ([Vegann](https://github.com/Vegann))
- [SD-1346] Adds admin panel stock menu for stock locations and transfers [#11134](https://github.com/spree/spree/pull/11134) ([aplegatt](https://github.com/aplegatt))
- Revert "SD-1354 Add pagination to the view of product's variants" [#11133](https://github.com/spree/spree/pull/11133) ([damianlegawiec](https://github.com/damianlegawiec))
- SD-1356 remove overwritting default user addresses during checkout. [#11132](https://github.com/spree/spree/pull/11132) ([KacperMekarski](https://github.com/KacperMekarski))
- SD-1340 Add missing timestamps to join tables [#11130](https://github.com/spree/spree/pull/11130) ([tomurb](https://github.com/tomurb))
- SD-1354 Add pagination to the view of product's variants [#11129](https://github.com/spree/spree/pull/11129) ([tomurb](https://github.com/tomurb))
- SD-1349 Use dropdown for currency not text input in Promotion UI [#11128](https://github.com/spree/spree/pull/11128) ([tomurb](https://github.com/tomurb))
- Include locale in API v2 serializer params plus remove code duplication [#11127](https://github.com/spree/spree/pull/11127) ([damianlegawiec](https://github.com/damianlegawiec))
- Return only Store resources in Storefront API, Platform API and Storefront UI [#11126](https://github.com/spree/spree/pull/11126) ([damianlegawiec](https://github.com/damianlegawiec))
- Remove outdated VAT label in orders emails [#11124](https://github.com/spree/spree/pull/11124) ([pmilewski](https://github.com/pmilewski))
- Small Fix to Menu Sample Data + Add Active Class to Spree Menu Links [#11120](https://github.com/spree/spree/pull/11120) ([MatthewKennedy](https://github.com/MatthewKennedy))
- fix: The VAT displayed in the orders emails is incorrect [#11118](https://github.com/spree/spree/pull/11118) ([pmilewski](https://github.com/pmilewski))
- Use `load` instead of `require` when loading seeds [#11115](https://github.com/spree/spree/pull/11115) ([zavan](https://github.com/zavan))
- [Skip CI] Added Flow Commerce Spree extension [#11113](https://github.com/spree/spree/pull/11113) ([damianlegawiec](https://github.com/damianlegawiec))
- Lean Core [#11110](https://github.com/spree/spree/pull/11110) ([damianlegawiec](https://github.com/damianlegawiec))
- Update Storefront and Admin Panel in the preview app [#11107](https://github.com/spree/spree/pull/11107) ([damianlegawiec](https://github.com/damianlegawiec))
- Use Circle CI 2.1 [#11106](https://github.com/spree/spree/pull/11106) ([damianlegawiec](https://github.com/damianlegawiec))
- Make frontend/backend fully optional when installing spree gem [#11105](https://github.com/spree/spree/pull/11105) ([damianlegawiec](https://github.com/damianlegawiec))
- Fixes order and product number and slug performance [#11102](https://github.com/spree/spree/pull/11102) ([damianlegawiec](https://github.com/damianlegawiec))
- Admin store switcher [#11099](https://github.com/spree/spree/pull/11099) ([Vegann](https://github.com/Vegann))
- [Snyk] Security upgrade serve from 11.3.2 to 12.0.0 [#11097](https://github.com/spree/spree/pull/11097) ([snyk-bot](https://github.com/snyk-bot))
- Automatically set Store and Currency when creating resources in Admin UI [#11096](https://github.com/spree/spree/pull/11096) ([damianlegawiec](https://github.com/damianlegawiec))
- [SD-1348] - Fix Taxon Carousel [#11095](https://github.com/spree/spree/pull/11095) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Support Store's Default Country [#11093](https://github.com/spree/spree/pull/11093) ([damianlegawiec](https://github.com/damianlegawiec))
- Remove duplications for fetching accessible Stores in Admin Panel [#11092](https://github.com/spree/spree/pull/11092) ([damianlegawiec](https://github.com/damianlegawiec))
- Allow user to sort products by name on PLP [#11091](https://github.com/spree/spree/pull/11091) ([Vegann](https://github.com/Vegann))
- Fix For Promotions Date Picker Failing Spec Test. [#11090](https://github.com/spree/spree/pull/11090) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Add missing single quotes from version. [#11089](https://github.com/spree/spree/pull/11089) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Remove 'id: :serial' from create table [#11088](https://github.com/spree/spree/pull/11088) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Fix Change from :unique_code to :location in Menus API [#11086](https://github.com/spree/spree/pull/11086) ([MatthewKennedy](https://github.com/MatthewKennedy))
- fix api account addresses scope [#11085](https://github.com/spree/spree/pull/11085) ([chinoxchen](https://github.com/chinoxchen))
- [SD-1297] - Fix menu-item links drop down on mobile. [#11083](https://github.com/spree/spree/pull/11083) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Remove "Adding new links to the Admin Panel menu" since it doesn't work [#11082](https://github.com/spree/spree/pull/11082) ([Vegann](https://github.com/Vegann))
- handle default address when previous is removed [#11081](https://github.com/spree/spree/pull/11081) ([KacperMekarski](https://github.com/KacperMekarski))
- Update documentation on Spree 3 to 4 migration [#11080](https://github.com/spree/spree/pull/11080) ([damianlegawiec](https://github.com/damianlegawiec))
- Don't try to create table and index if already exists [#11078](https://github.com/spree/spree/pull/11078) ([damianlegawiec](https://github.com/damianlegawiec))
- Replace Twitter::CLDR with ValidatesZipcode [#11077](https://github.com/spree/spree/pull/11077) ([Vegann](https://github.com/Vegann))
- [SD-1296] - CMS Pages [#11076](https://github.com/spree/spree/pull/11076) ([MatthewKennedy](https://github.com/MatthewKennedy))
- fix address_not_deprecated_in_completed_order validation [#11074](https://github.com/spree/spree/pull/11074) ([KacperMekarski](https://github.com/KacperMekarski))
- [SD-1329] Allow assigning Products to Stores and display assigned Products only on the PLP [#11073](https://github.com/spree/spree/pull/11073) ([mad-eel](https://github.com/mad-eel))
- SD-1245 - Fix Text Blowing Out of Containers [#11072](https://github.com/spree/spree/pull/11072) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Back to validate number with case sensitive true [#11070](https://github.com/spree/spree/pull/11070) ([ronzalo](https://github.com/ronzalo))
- Adjust failing specs [#11067](https://github.com/spree/spree/pull/11067) ([mad-eel](https://github.com/mad-eel))
- SD-1099 - Add info note to option type filterable. [#11066](https://github.com/spree/spree/pull/11066) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Fix filtering Products by Options [#11065](https://github.com/spree/spree/pull/11065) ([mad-eel](https://github.com/mad-eel))
- Add spree current user to base cache key [#11064](https://github.com/spree/spree/pull/11064) ([v10110](https://github.com/v10110))
- [SD-1331] Assign Store to Payment Method factory [#11063](https://github.com/spree/spree/pull/11063) ([mad-eel](https://github.com/mad-eel))
- add translations for user validations [#11062](https://github.com/spree/spree/pull/11062) ([KacperMekarski](https://github.com/KacperMekarski))
- Replace master_id with master.id [#11059](https://github.com/spree/spree/pull/11059) ([damianlegawiec](https://github.com/damianlegawiec))
- More performant way of generating filter params in DB migrations [#11058](https://github.com/spree/spree/pull/11058) ([damianlegawiec](https://github.com/damianlegawiec))
- add has_many :states association to country [#11057](https://github.com/spree/spree/pull/11057) ([KacperMekarski](https://github.com/KacperMekarski))
- fix including many shipping rates [#11056](https://github.com/spree/spree/pull/11056) ([KacperMekarski](https://github.com/KacperMekarski))
- [SD-1337] Validate Store favicon image properties [#11055](https://github.com/spree/spree/pull/11055) ([mad-eel](https://github.com/mad-eel))
- SD-1297 - Add Documentation For Using Menus [#11054](https://github.com/spree/spree/pull/11054) ([MatthewKennedy](https://github.com/MatthewKennedy))
- SD-1297 - Improvements to Spree::Menu [#11051](https://github.com/spree/spree/pull/11051) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Added more information about Serializer caching [#11048](https://github.com/spree/spree/pull/11048) ([damianlegawiec](https://github.com/damianlegawiec))
- [SD-987] Stop displaying duplicate Products on PLP when viewing by Taxon [#11047](https://github.com/spree/spree/pull/11047) ([mad-eel](https://github.com/mad-eel))
- Rails 5.2 support [#11046](https://github.com/spree/spree/pull/11046) ([damianlegawiec](https://github.com/damianlegawiec))
- Remove unused no-image assets. [#11043](https://github.com/spree/spree/pull/11043) ([MatthewKennedy](https://github.com/MatthewKennedy))
- [SD-1099] Fix caching of Option Values filters [#11042](https://github.com/spree/spree/pull/11042) ([mad-eel](https://github.com/mad-eel))
- Fix/slim down core dependencies [#11041](https://github.com/spree/spree/pull/11041) ([damianlegawiec](https://github.com/damianlegawiec))
- Relax dependencies to allow for more flexbility with Gemfiles [#11040](https://github.com/spree/spree/pull/11040) ([damianlegawiec](https://github.com/damianlegawiec))
- Menu Items Using Live Link [#11038](https://github.com/spree/spree/pull/11038) ([MatthewKennedy](https://github.com/MatthewKennedy))
- [SD-1327] Fix issue with mixing Properties and Price filters [#11037](https://github.com/spree/spree/pull/11037) ([mad-eel](https://github.com/mad-eel))
- Fixed JS undefined errors when application does not use the updated 4… [#11036](https://github.com/spree/spree/pull/11036) ([damianlegawiec](https://github.com/damianlegawiec))
- [SD-1319] As a Admin in Admin Panel -> Store Edit I can upload a Store Favicon [#11035](https://github.com/spree/spree/pull/11035) ([Vegann](https://github.com/Vegann))
- Fix Issue with menu changes not appearing because of Turbo Links [#11032](https://github.com/spree/spree/pull/11032) ([MatthewKennedy](https://github.com/MatthewKennedy))
- [SD-1101] Allow clearing all Filters on PLP [#11031](https://github.com/spree/spree/pull/11031) ([mad-eel](https://github.com/mad-eel))
- Tidy up the view for Menus new / edit form. [#11030](https://github.com/spree/spree/pull/11030) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Fix broken test for touch after create, add tests for level of newly … [#11029](https://github.com/spree/spree/pull/11029) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Add Ability To Remove Icon Image From menu_item. [#11028](https://github.com/spree/spree/pull/11028) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Fixes error on pages without price filters html elements [#11026](https://github.com/spree/spree/pull/11026) ([aplegatt](https://github.com/aplegatt))
- Fixed cache expiration for new Nav CMS [#11025](https://github.com/spree/spree/pull/11025) ([damianlegawiec](https://github.com/damianlegawiec))
- [SD-1326] Display only these Filters that have Products attached [#11023](https://github.com/spree/spree/pull/11023) ([mad-eel](https://github.com/mad-eel))
- Product Properties Filtering fixes [#11021](https://github.com/spree/spree/pull/11021) ([damianlegawiec](https://github.com/damianlegawiec))
- Don't precompile assets for API, Core and Sample gems [#11020](https://github.com/spree/spree/pull/11020) ([damianlegawiec](https://github.com/damianlegawiec))
- Simplify currency handling for Product#available [#11019](https://github.com/spree/spree/pull/11019) ([damianlegawiec](https://github.com/damianlegawiec))
- Adds more flexibility for Product validation [#11010](https://github.com/spree/spree/pull/11010) ([damianlegawiec](https://github.com/damianlegawiec))
- Fixed Please use symbols for polymorphic route arguments [#11008](https://github.com/spree/spree/pull/11008) ([damianlegawiec](https://github.com/damianlegawiec))
- [SD-1323] Allow filtering Products on PLP by a custom price range [#11007](https://github.com/spree/spree/pull/11007) ([mad-eel](https://github.com/mad-eel))
- Added Properties filtering to Storefront API [#11006](https://github.com/spree/spree/pull/11006) ([damianlegawiec](https://github.com/damianlegawiec))
- Fixes #10175 removes upper limit for property value [#11005](https://github.com/spree/spree/pull/11005) ([damianlegawiec](https://github.com/damianlegawiec))
- Fix no resource found translation on stores#index [#11004](https://github.com/spree/spree/pull/11004) ([ronzalo](https://github.com/ronzalo))
- allow user to change default addresses through API [#11002](https://github.com/spree/spree/pull/11002) ([KacperMekarski](https://github.com/KacperMekarski))
- Add email regex as constant [#11001](https://github.com/spree/spree/pull/11001) ([pmilewski](https://github.com/pmilewski))
- Do not return other users credit cards for admin user [#11000](https://github.com/spree/spree/pull/11000) ([szymoniwacz](https://github.com/szymoniwacz))
- Fix addresses controller scope [#10999](https://github.com/spree/spree/pull/10999) ([szymoniwacz](https://github.com/szymoniwacz))
- Upgrade to GitHub-native Dependabot [#10996](https://github.com/spree/spree/pull/10996) ([dependabot-preview](https://github.com/apps/dependabot-preview))
- Add deleted_at: nil default scope to address [#10995](https://github.com/spree/spree/pull/10995) ([szymoniwacz](https://github.com/szymoniwacz))
- Clarifies use of mount point and modules. [#10994](https://github.com/spree/spree/pull/10994) ([djdarkbeat](https://github.com/djdarkbeat))
- Remove document.write to fix compatibility with Turbo(links) [#10993](https://github.com/spree/spree/pull/10993) ([damianlegawiec](https://github.com/damianlegawiec))
- Support different cache keys for signed/not-signed/admin users when v… [#10992](https://github.com/spree/spree/pull/10992) ([damianlegawiec](https://github.com/damianlegawiec))
- Lock Node at 14.x for Guides [#10987](https://github.com/spree/spree/pull/10987) ([damianlegawiec](https://github.com/damianlegawiec))
- Destroy account address via API v2 [#10985](https://github.com/spree/spree/pull/10985) ([pmilewski](https://github.com/pmilewski))
- ignore taxon when is not valid [#10977](https://github.com/spree/spree/pull/10977) ([chinoxchen](https://github.com/chinoxchen))
- Fix EmailValidator regex [#10973](https://github.com/spree/spree/pull/10973) ([pmilewski](https://github.com/pmilewski))
- Navigation CMS [#10972](https://github.com/spree/spree/pull/10972) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Issue 10965 variant fix [#10970](https://github.com/spree/spree/pull/10970) ([HumzahChoudry](https://github.com/HumzahChoudry))
- Lint money.rb [#10968](https://github.com/spree/spree/pull/10968) ([MatthewKennedy](https://github.com/MatthewKennedy))
- fix Spree.localizedPathFor JS function for api paths [#10967](https://github.com/spree/spree/pull/10967) ([KacperMekarski](https://github.com/KacperMekarski))
- Use SweetAlert2 for pop-up notifications. [#10964](https://github.com/spree/spree/pull/10964) ([MatthewKennedy](https://github.com/MatthewKennedy))
-  Format APIv2 guides and update payment and shipment id field type [#10962](https://github.com/spree/spree/pull/10962) ([tniezg](https://github.com/tniezg))
- [SD-1280] Fix currency code in spec [#10960](https://github.com/spree/spree/pull/10960) ([piotrpanko](https://github.com/piotrpanko))
- Add a guard clause for pages without quick search. [#10958](https://github.com/spree/spree/pull/10958) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Add Indication To Search [#10956](https://github.com/spree/spree/pull/10956) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Sort admin.js Functions [#10955](https://github.com/spree/spree/pull/10955) ([MatthewKennedy](https://github.com/MatthewKennedy))
- [Documentation] Fix Storefront update generator task [#10951](https://github.com/spree/spree/pull/10951) ([albertoalmagro](https://github.com/albertoalmagro))
- Fix assets_exists? method not working in the production [#10946](https://github.com/spree/spree/pull/10946) ([Vegann](https://github.com/Vegann))
- cancelled & returned orders should be uneditable by user [#10937](https://github.com/spree/spree/pull/10937) ([KacperMekarski](https://github.com/KacperMekarski))
- Generator for the manifest.js [#10936](https://github.com/spree/spree/pull/10936) ([Vegann](https://github.com/Vegann))
- Fix misspelled words in spree developer internals pages [#10935](https://github.com/spree/spree/pull/10935) ([mariosobhy](https://github.com/mariosobhy))
- Allow 4 digit CVV for Amex cards [#10929](https://github.com/spree/spree/pull/10929) ([zavan](https://github.com/zavan))
- Ensure comparison is on a symbol. [#10914](https://github.com/spree/spree/pull/10914) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Platform API Developer Preview part 1 [#10913](https://github.com/spree/spree/pull/10913) ([damianlegawiec](https://github.com/damianlegawiec))
- Uniform Icon Buttons [#10911](https://github.com/spree/spree/pull/10911) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Give minimum width to the pricing columns, tidy up unused classed in BS4 [#10900](https://github.com/spree/spree/pull/10900) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Fix no responsive scroll for add_stock table [#10897](https://github.com/spree/spree/pull/10897) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Fix Flatpicker mobile hidden field being picked up by ransack. [#10896](https://github.com/spree/spree/pull/10896) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Fix spree localizedpathfor js function [#10878](https://github.com/spree/spree/pull/10878) ([KacperMekarski](https://github.com/KacperMekarski))
- Add caching to API v2 serializers [#10875](https://github.com/spree/spree/pull/10875) ([damianlegawiec](https://github.com/damianlegawiec))
- Fix Duplicate Locales Coming From spree_i18n [#10871](https://github.com/spree/spree/pull/10871) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Fix docs navigation on smaller desktop screens [#10870](https://github.com/spree/spree/pull/10870) ([AleksandraKaminska](https://github.com/AleksandraKaminska))
- Docs/extensions update 1 [#10869](https://github.com/spree/spree/pull/10869) ([damianlegawiec](https://github.com/damianlegawiec))
- Fix jsonapi_serializer in version > 2.2 [#10868](https://github.com/spree/spree/pull/10868) ([Vegann](https://github.com/Vegann))
- Spree 4.2 documentation update [#10862](https://github.com/spree/spree/pull/10862) ([damianlegawiec](https://github.com/damianlegawiec))
- Make product modal reusable [#10861](https://github.com/spree/spree/pull/10861) ([SylarRuby](https://github.com/SylarRuby))
- Upgrade Sprockets to v4 :rocket: [#10852](https://github.com/spree/spree/pull/10852) ([damianlegawiec](https://github.com/damianlegawiec))
- Use `Spree.localizedPathFor` for couponc code apply/remove in CouponM… [#10845](https://github.com/spree/spree/pull/10845) ([damianlegawiec](https://github.com/damianlegawiec))
- Fixes https://github.com/spree/spree/issues/10816 [#10820](https://github.com/spree/spree/pull/10820) ([damianlegawiec](https://github.com/damianlegawiec))
- Fix taxon promotion rule form [#10814](https://github.com/spree/spree/pull/10814) ([hoshinotsuyoshi](https://github.com/hoshinotsuyoshi))
- Fix turbolinks caching issues with currency change [#10812](https://github.com/spree/spree/pull/10812) ([damianlegawiec](https://github.com/damianlegawiec))
- Remove page from whitelisted parameters [#10811](https://github.com/spree/spree/pull/10811) ([KacperMekarski](https://github.com/KacperMekarski))
- Add gem-release gem [#10809](https://github.com/spree/spree/pull/10809) ([damianlegawiec](https://github.com/damianlegawiec))
- Fix copyright link target attribute [#10808](https://github.com/spree/spree/pull/10808) ([zavan](https://github.com/zavan))
- [SD-1369] Enables user to remove credit card [#10592](https://github.com/spree/spree/pull/10592) ([damianlegawiec](https://github.com/damianlegawiec))
- [SD-987] Add filtering products by properties [#10555](https://github.com/spree/spree/pull/10555) ([aplegatt](https://github.com/aplegatt))
- Update acts_as_list requirement from ~> 0.8 to >= 0.8, < 2.0 in /core [#9554](https://github.com/spree/spree/pull/9554) ([dependabot-preview](https://github.com/apps/dependabot-preview))


## [4.2.0] - 2021-02-25

- Extract Storefront installer into a seperate Generator [#10802](https://github.com/spree/spree/pull/10802) ([damianlegawiec](https://github.com/damianlegawiec))
- Improve Spree installer [#10801](https://github.com/spree/spree/pull/10801) ([damianlegawiec](https://github.com/damianlegawiec))
- Add locales from the SpreeI18n to the routes [#10800](https://github.com/spree/spree/pull/10800) ([Vegann](https://github.com/Vegann))
- Support localized URLs [#10794](https://github.com/spree/spree/pull/10794) ([damianlegawiec](https://github.com/damianlegawiec))
- fix: use select2-full for full back compatibility [#10793](https://github.com/spree/spree/pull/10793) ([aforty](https://github.com/aforty))
- Use BaseController serialize_resource for checkout controller [#10791](https://github.com/spree/spree/pull/10791) ([btolarz](https://github.com/btolarz))
- Update Documentation for Spree 4.2 [#10789](https://github.com/spree/spree/pull/10789) ([damianlegawiec](https://github.com/damianlegawiec))
- Assign all products to all Stores in Samples [#10788](https://github.com/spree/spree/pull/10788) ([damianlegawiec](https://github.com/damianlegawiec))
- Ability to have different navigation menus per locale [#10787](https://github.com/spree/spree/pull/10787) ([damianlegawiec](https://github.com/damianlegawiec))
- Feature/store multi lang currency seeds [#10785](https://github.com/spree/spree/pull/10785) ([damianlegawiec](https://github.com/damianlegawiec))
- [SD-1158] Show a humanized tooltip [#10784](https://github.com/spree/spree/pull/10784) ([agnieszkajacek](https://github.com/agnieszkajacek))
- Add Spree::Api::ErrorHandler [#10783](https://github.com/spree/spree/pull/10783) ([damianlegawiec](https://github.com/damianlegawiec))
- Move back into BaseController some methods moved previously to Resour… [#10782](https://github.com/spree/spree/pull/10782) ([damianlegawiec](https://github.com/damianlegawiec))
- Update params in call method for the Ruby 3 [#10780](https://github.com/spree/spree/pull/10780) ([Vegann](https://github.com/Vegann))
- [SD-1117] Show N/A if brand for card is empty [#10779](https://github.com/spree/spree/pull/10779) ([agnieszkajacek](https://github.com/agnieszkajacek))
- Fixed store address suggestions [#10777](https://github.com/spree/spree/pull/10777) ([nnande](https://github.com/nnande))
- [SD-1158] Use option value presentation in tooltip [#10776](https://github.com/spree/spree/pull/10776) ([agnieszkajacek](https://github.com/agnieszkajacek))
- fixed store checkout zone user addresses suggestions [#10775](https://github.com/spree/spree/pull/10775) ([nnande](https://github.com/nnande))
- Reset product memoized data on reload and save [#10774](https://github.com/spree/spree/pull/10774) ([btolarz](https://github.com/btolarz))
- Check column and index presence in db in filtrable for option types m… [#10770](https://github.com/spree/spree/pull/10770) ([btolarz](https://github.com/btolarz))
- [SD-1171] Set per page limit and do not allow for 0 value [#10768](https://github.com/spree/spree/pull/10768) ([agnieszkajacek](https://github.com/agnieszkajacek))
- Set Common Flatpickr Defaults. [#10766](https://github.com/spree/spree/pull/10766) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Ability to switch between different Locales and Currencies in a single Store [#10764](https://github.com/spree/spree/pull/10764) ([damianlegawiec](https://github.com/damianlegawiec))
- add vertical align for adjustment amount in emails [#10763](https://github.com/spree/spree/pull/10763) ([AleksandraKaminska](https://github.com/AleksandraKaminska))
- [SD-1125 SD-1123 SD-1124 SD-1111] Fixes email line items styles for mobiles [#10762](https://github.com/spree/spree/pull/10762) ([AleksandraKaminska](https://github.com/AleksandraKaminska))
- Human Friendly Date Formatting [#10760](https://github.com/spree/spree/pull/10760) ([MatthewKennedy](https://github.com/MatthewKennedy))
- 4.2.0.rc5 [#10757](https://github.com/spree/spree/pull/10757) ([damianlegawiec](https://github.com/damianlegawiec))
- Setup a fallback for Select2 not having a locale [#10753](https://github.com/spree/spree/pull/10753) ([MatthewKennedy](https://github.com/MatthewKennedy))
- [SD-1150] Do not return access token when user has not confirmed yet [#10751](https://github.com/spree/spree/pull/10751) ([agnieszkajacek](https://github.com/agnieszkajacek))
- [SD-1128] Order the store selectors in ascending order by ID [#10749](https://github.com/spree/spree/pull/10749) ([agnieszkajacek](https://github.com/agnieszkajacek))
- ERBlint Backend View Files [#10745](https://github.com/spree/spree/pull/10745) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Correct Frontend view files with ERB lint. [#10743](https://github.com/spree/spree/pull/10743) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Fix/color option type name frontend cache [#10741](https://github.com/spree/spree/pull/10741) ([damianlegawiec](https://github.com/damianlegawiec))
- [SD-1146] Fix compare at price displaying on PDP [#10740](https://github.com/spree/spree/pull/10740) ([aplegatt](https://github.com/aplegatt))
- Avoid creating instances of objects when we only need their IDs [#10739](https://github.com/spree/spree/pull/10739) ([damianlegawiec](https://github.com/damianlegawiec))
- Fixed Stock Movement form and added missing Stock Movement spec [#10738](https://github.com/spree/spree/pull/10738) ([damianlegawiec](https://github.com/damianlegawiec))
- Remove `combine_options` from attachment#variant since it is deprecated in Rails 6.1 [#10737](https://github.com/spree/spree/pull/10737) ([Vegann](https://github.com/Vegann))
- [SD-1133] Fix for Sportswear banner text on home page [#10736](https://github.com/spree/spree/pull/10736) ([aplegatt](https://github.com/aplegatt))
- Change `includes` to `preload` in Spree::Admin::ImagesController [#10735](https://github.com/spree/spree/pull/10735) ([Vegann](https://github.com/Vegann))
- [SD-1125] Fixes email line items styles for mobiles [#10734](https://github.com/spree/spree/pull/10734) ([aplegatt](https://github.com/aplegatt))
- Add essential gems to sandbox [#10732](https://github.com/spree/spree/pull/10732) ([damianlegawiec](https://github.com/damianlegawiec))
- Improve valid payment sources scope [#10731](https://github.com/spree/spree/pull/10731) ([KacperMekarski](https://github.com/KacperMekarski))
- Multi Store seed/samples fixes [#10730](https://github.com/spree/spree/pull/10730) ([damianlegawiec](https://github.com/damianlegawiec))
- Update bootstrap requirement from >= 4.3.1, < 4.6.0 to >= 4.3.1, < 4.7.0 in /backend [#10729](https://github.com/spree/spree/pull/10729) ([dependabot-preview](https://github.com/apps/dependabot-preview))
- Update bootstrap requirement from >= 4.3.1, < 4.6.0 to >= 4.3.1, < 4.7.0 in /frontend [#10728](https://github.com/spree/spree/pull/10728) ([dependabot-preview](https://github.com/apps/dependabot-preview))
- Headless Mode fixes [#10727](https://github.com/spree/spree/pull/10727) ([damianlegawiec](https://github.com/damianlegawiec))
- Default config locale should be nil [#10726](https://github.com/spree/spree/pull/10726) ([damianlegawiec](https://github.com/damianlegawiec))
- Fixed undefined method `to_url' for :"New Collection":Symbol [#10725](https://github.com/spree/spree/pull/10725) ([damianlegawiec](https://github.com/damianlegawiec))
- [SD-1130] Adds feature tests for stores supporting multiple currencies [#10724](https://github.com/spree/spree/pull/10724) ([aplegatt](https://github.com/aplegatt))
- Add memomization to some methods to speed things up [#10723](https://github.com/spree/spree/pull/10723) ([damianlegawiec](https://github.com/damianlegawiec))
- SD-1127 Fix dynamic delivery costs [#10721](https://github.com/spree/spree/pull/10721) ([przemosk](https://github.com/przemosk))
- [SD-1129] Fixes error after setting certain languages for a store [#10718](https://github.com/spree/spree/pull/10718) ([aplegatt](https://github.com/aplegatt))
- Improve multi language support [#10714](https://github.com/spree/spree/pull/10714) ([damianlegawiec](https://github.com/damianlegawiec))
- Feature/supported currencies refactor [#10713](https://github.com/spree/spree/pull/10713) ([damianlegawiec](https://github.com/damianlegawiec))
- Support multiple relation types for related products on PDP [#10711](https://github.com/spree/spree/pull/10711) ([damianlegawiec](https://github.com/damianlegawiec))
- Checkout confirm step and order summary styling fixes [#10710](https://github.com/spree/spree/pull/10710) ([aplegatt](https://github.com/aplegatt))
- Fixed compatibility of order_details partial for extensions [#10707](https://github.com/spree/spree/pull/10707) ([damianlegawiec](https://github.com/damianlegawiec))
- Use order_details partial with proper data-hooks on confirm step and … [#10706](https://github.com/spree/spree/pull/10706) ([damianlegawiec](https://github.com/damianlegawiec))
- [SD-1106] Fixes categories in samples and links [#10701](https://github.com/spree/spree/pull/10701) ([aplegatt](https://github.com/aplegatt))
- Ensure that Stores locale is set [#10700](https://github.com/spree/spree/pull/10700) ([damianlegawiec](https://github.com/damianlegawiec))
- Release/4 2 0 rc4 [#10699](https://github.com/spree/spree/pull/10699) ([damianlegawiec](https://github.com/damianlegawiec))
- Feature/permissions guide [#10698](https://github.com/spree/spree/pull/10698) ([damianlegawiec](https://github.com/damianlegawiec))
- I18n fixes [#10696](https://github.com/spree/spree/pull/10696) ([damianlegawiec](https://github.com/damianlegawiec))
- Allow to switch to different stores in Sandbox [#10695](https://github.com/spree/spree/pull/10695) ([damianlegawiec](https://github.com/damianlegawiec))
- [SD-1102] Adds two additional stores to Spree samples [#10694](https://github.com/spree/spree/pull/10694) ([aplegatt](https://github.com/aplegatt))
- Fixed lazy_image usage on Ruby 3.0 [#10693](https://github.com/spree/spree/pull/10693) ([damianlegawiec](https://github.com/damianlegawiec))
- Docs/install options [#10691](https://github.com/spree/spree/pull/10691) ([damianlegawiec](https://github.com/damianlegawiec))
- [SD-1098] Added preference to toggle HTTP caching for Storefrront [#10688](https://github.com/spree/spree/pull/10688) ([KacperMekarski](https://github.com/KacperMekarski))
- Update Stores Make Default Button [#10687](https://github.com/spree/spree/pull/10687) ([MatthewKennedy](https://github.com/MatthewKennedy))
- 4.2.0.rc3 [#10685](https://github.com/spree/spree/pull/10685) ([damianlegawiec](https://github.com/damianlegawiec))
- Multiple Stores Payment Methods [#10684](https://github.com/spree/spree/pull/10684) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Missing braces crashing js file. [#10683](https://github.com/spree/spree/pull/10683) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Fix current order finder [#10680](https://github.com/spree/spree/pull/10680) ([pmilewski](https://github.com/pmilewski))
- Add id attribute to parent div in preferences. [#10679](https://github.com/spree/spree/pull/10679) ([MatthewKennedy](https://github.com/MatthewKennedy))
- fix for sassc segfaults on ruby 3.0.0 on macOS Big Sur [#10678](https://github.com/spree/spree/pull/10678) ([damianlegawiec](https://github.com/damianlegawiec))
- Fixes For Issues With Placeholders [#10677](https://github.com/spree/spree/pull/10677) ([MatthewKennedy](https://github.com/MatthewKennedy))
- rspec fixes [#10676](https://github.com/spree/spree/pull/10676) ([damianlegawiec](https://github.com/damianlegawiec))
- Improve UX for setting up Payment Methods. [#10675](https://github.com/spree/spree/pull/10675) ([MatthewKennedy](https://github.com/MatthewKennedy))
- [SD-1084] Ruby 3.0 random spec failing  [#10674](https://github.com/spree/spree/pull/10674) ([przemosk](https://github.com/przemosk))
- Fix Auto Generated Forms Fields Layouts [#10673](https://github.com/spree/spree/pull/10673) ([MatthewKennedy](https://github.com/MatthewKennedy))
- [SD-1070] change calculator currency field to selector [#10672](https://github.com/spree/spree/pull/10672) ([KacperMekarski](https://github.com/KacperMekarski))
- [SD-1074] Hide country picker from header on mobile [#10671](https://github.com/spree/spree/pull/10671) ([aplegatt](https://github.com/aplegatt))
- [SD-1068] Rails 6.1 deprecation warning Calling `<<` to an ActiveModel::Errors [#10670](https://github.com/spree/spree/pull/10670) ([przemosk](https://github.com/przemosk))
- Optimize Circle CI test matrix [#10667](https://github.com/spree/spree/pull/10667) ([damianlegawiec](https://github.com/damianlegawiec))
- [SD-1071] Changes cost currency field to dropdown on product edit page [#10666](https://github.com/spree/spree/pull/10666) ([aplegatt](https://github.com/aplegatt))
- Admin Panel UX improvements [#10665](https://github.com/spree/spree/pull/10665) ([damianlegawiec](https://github.com/damianlegawiec))
- Fixes invalid ES5 syntax error [#10661](https://github.com/spree/spree/pull/10661) ([aplegatt](https://github.com/aplegatt))
- [SD-1072] Add unique ids to option types in variants edit form [#10657](https://github.com/spree/spree/pull/10657) ([piotrpanko](https://github.com/piotrpanko))
- [SD-1069] Fixes Spree SCSS warnings [#10656](https://github.com/spree/spree/pull/10656) ([aplegatt](https://github.com/aplegatt))
- [SD-1073] change product meta description to text area. [#10654](https://github.com/spree/spree/pull/10654) ([KacperMekarski](https://github.com/KacperMekarski))
- Guides design fixes [#10653](https://github.com/spree/spree/pull/10653) ([damianlegawiec](https://github.com/damianlegawiec))
- Fix current order finder [#10652](https://github.com/spree/spree/pull/10652) ([pmilewski](https://github.com/pmilewski))
- Better API v2 code standarisation practices [#10650](https://github.com/spree/spree/pull/10650) ([damianlegawiec](https://github.com/damianlegawiec))
- Replace webrick with puma for capybara tests [#10649](https://github.com/spree/spree/pull/10649) ([damianlegawiec](https://github.com/damianlegawiec))
- Ruby 3.0 support [#10648](https://github.com/spree/spree/pull/10648) ([damianlegawiec](https://github.com/damianlegawiec))
- [SD-1065] Add remove icon button to admin edit taxon page [#10646](https://github.com/spree/spree/pull/10646) ([aplegatt](https://github.com/aplegatt))
- Require Awesome Nested Set 3.3.1 to resolve issues with Rails 6.1/Ruby 3.0 [#10644](https://github.com/spree/spree/pull/10644) ([damianlegawiec](https://github.com/damianlegawiec))
- Cmd/ Remove comment in gemspec [#10638](https://github.com/spree/spree/pull/10638) ([coolprobn](https://github.com/coolprobn))
- Ruby 3.0 compatibility [#10637](https://github.com/spree/spree/pull/10637) ([damianlegawiec](https://github.com/damianlegawiec))
- Add order channel editing [#10634](https://github.com/spree/spree/pull/10634) ([poudelprakash](https://github.com/poudelprakash))
- Small tweaks to Select2 to match previous behavior. [#10633](https://github.com/spree/spree/pull/10633) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Upgrade FactoryBot to 6.x [#10632](https://github.com/spree/spree/pull/10632) ([damianlegawiec](https://github.com/damianlegawiec))
- Small Select2 v4 Updates [#10630](https://github.com/spree/spree/pull/10630) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Allow Rails 6.1 [#10629](https://github.com/spree/spree/pull/10629) ([damianlegawiec](https://github.com/damianlegawiec))
- Fix wrong path for index.yaml [#10626](https://github.com/spree/spree/pull/10626) ([iasthc](https://github.com/iasthc))
- Setup configurations template for new extensions [#10622](https://github.com/spree/spree/pull/10622) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Upgrade select2-rails to 4.0 [#10613](https://github.com/spree/spree/pull/10613) ([przemosk](https://github.com/przemosk))
- Fix B - for issue: #10608 (whitelisted_parameters changed to allowed_parameters) [#10610](https://github.com/spree/spree/pull/10610) ([MatthewKennedy](https://github.com/MatthewKennedy))
- [SD-1053] Add Seo Robots field to the Store in Admin Panel [#10603](https://github.com/spree/spree/pull/10603) ([piotrpanko](https://github.com/piotrpanko))
- Fix Address Editing JS [#10602](https://github.com/spree/spree/pull/10602) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Display variant compare_at price on PDP fix [#10601](https://github.com/spree/spree/pull/10601) ([nnande](https://github.com/nnande))
- Add .reload in product_carousel method to prevent query errors [#10599](https://github.com/spree/spree/pull/10599) ([piotrpanko](https://github.com/piotrpanko))
- use Rails logger [#10596](https://github.com/spree/spree/pull/10596) ([userzee](https://github.com/userzee))
- Update ransack requirement from ~> 2.3.0 to >= 2.3, < 2.5 in /core [#10591](https://github.com/spree/spree/pull/10591) ([dependabot-preview](https://github.com/apps/dependabot-preview))
- Fixed checkout countries and states suggestions based on current_stor… [#10589](https://github.com/spree/spree/pull/10589) ([nnande](https://github.com/nnande))
- Display available countries on checkout address step with respect to the Spree::Store#default_zone [#10588](https://github.com/spree/spree/pull/10588) ([nnande](https://github.com/nnande))
- Migrate to jsonapi-serializer [#10587](https://github.com/spree/spree/pull/10587) ([nnande](https://github.com/nnande))
- [SD-1004] Changes links in mails to contain current store url [#10586](https://github.com/spree/spree/pull/10586) ([aplegatt](https://github.com/aplegatt))
- Spree::UserMethods - added missing table name prefixes  [#10585](https://github.com/spree/spree/pull/10585) ([nnande](https://github.com/nnande))
- [SD-1009] Updates Rubocop version to 1.0.0 [#10584](https://github.com/spree/spree/pull/10584) ([aplegatt](https://github.com/aplegatt))
- New API docs powered by stoplight.io [#10582](https://github.com/spree/spree/pull/10582) ([damianlegawiec](https://github.com/damianlegawiec))
- Sd 949 uninitialized constant rma required [#10580](https://github.com/spree/spree/pull/10580) ([KacperMekarski](https://github.com/KacperMekarski))
- Expose payment/shipment state in Cart API v2 [#10578](https://github.com/spree/spree/pull/10578) ([damianlegawiec](https://github.com/damianlegawiec))
- Revert "Sd 949 uninitialized constant rma required" [#10575](https://github.com/spree/spree/pull/10575) ([KacperMekarski](https://github.com/KacperMekarski))
- Sd 949 uninitialized constant rma required [#10574](https://github.com/spree/spree/pull/10574) ([KacperMekarski](https://github.com/KacperMekarski))
- Fix security issue in order status endpoint [#10573](https://github.com/spree/spree/pull/10573) ([kshalot](https://github.com/kshalot))
- Update mini_magick requirement from >= 4.9.4, < 4.11.0 to >= 4.9.4, < 4.12.0 in /core [#10572](https://github.com/spree/spree/pull/10572) ([dependabot-preview](https://github.com/apps/dependabot-preview))
- Fix #10569 : Set `user_id` to new address in `PATCH /addresses/:id` [#10570](https://github.com/spree/spree/pull/10570) ([hoshinotsuyoshi](https://github.com/hoshinotsuyoshi))
- Unique Store Name [#10568](https://github.com/spree/spree/pull/10568) ([MatthewKennedy](https://github.com/MatthewKennedy))
- [SD-991] Use constantize in remove item service call [#10564](https://github.com/spree/spree/pull/10564) ([piotrpanko](https://github.com/piotrpanko))
- [SD-994, NUT-200] Shipping summary label issue [#10563](https://github.com/spree/spree/pull/10563) ([KacperMekarski](https://github.com/KacperMekarski))
- Adds an ability to use different Order serializer for Account Orders … [#10561](https://github.com/spree/spree/pull/10561) ([damianlegawiec](https://github.com/damianlegawiec))
- Make option types in sample products and their variants consistent [#10558](https://github.com/spree/spree/pull/10558) ([matlagp](https://github.com/matlagp))
- Push buttons to the end of the row. [#10557](https://github.com/spree/spree/pull/10557) ([MatthewKennedy](https://github.com/MatthewKennedy))
- [NUT-201] Refactor used_by? method for one_use_per_user rule [#10554](https://github.com/spree/spree/pull/10554) ([KacperMekarski](https://github.com/KacperMekarski))
- [SD-988] Removes vendor info partial from Spree [#10553](https://github.com/spree/spree/pull/10553) ([aplegatt](https://github.com/aplegatt))
- Encourage to use up to date Gateway/Auth gems with Spree 4.1+ [#10552](https://github.com/spree/spree/pull/10552) ([damianlegawiec](https://github.com/damianlegawiec))
- Fix javascript related products url [#10551](https://github.com/spree/spree/pull/10551) ([szymoniwacz](https://github.com/szymoniwacz))
- [SD-956] Fixes SCA checkout step indicator position for mobile devices [#10549](https://github.com/spree/spree/pull/10549) ([aplegatt](https://github.com/aplegatt))
- [SD-954] Fixes progress steps positions with SCA confirmation step [#10548](https://github.com/spree/spree/pull/10548) ([aplegatt](https://github.com/aplegatt))
- [SD-944] Adds 'remove from cart' event for GA [#10546](https://github.com/spree/spree/pull/10546) ([aplegatt](https://github.com/aplegatt))
- Sd 962 unassociated addresses [#10543](https://github.com/spree/spree/pull/10543) ([KacperMekarski](https://github.com/KacperMekarski))
- Add seo_robots to the Stores, add robots to the head [#10542](https://github.com/spree/spree/pull/10542) ([piotrpanko](https://github.com/piotrpanko))
- Split order products into shipments by stock location [#10541](https://github.com/spree/spree/pull/10541) ([szymoniwacz](https://github.com/szymoniwacz))
- Dont allow expired tokens in api V2 base controller [#10540](https://github.com/spree/spree/pull/10540) ([Morantron](https://github.com/Morantron))
- Remove duplication in add_item_spec [#10538](https://github.com/spree/spree/pull/10538) ([pmilewski](https://github.com/pmilewski))
- Enable admin user to set filterable option types [#10536](https://github.com/spree/spree/pull/10536) ([nnande](https://github.com/nnande))
- Convert ES6 code to ES5 [#10535](https://github.com/spree/spree/pull/10535) ([damianlegawiec](https://github.com/damianlegawiec))
- Sd 959 show or hide currency selector as admin [#10533](https://github.com/spree/spree/pull/10533) ([KacperMekarski](https://github.com/KacperMekarski))
- Spree::Core::ControllerHelpers::Order#set_current_order - try to merg… [#10531](https://github.com/spree/spree/pull/10531) ([nnande](https://github.com/nnande))
- [SD-961] As a Admin I can set the Checkout zone per Store [#10529](https://github.com/spree/spree/pull/10529) ([przemosk](https://github.com/przemosk))
- Store Configuration - default country issue [#10528](https://github.com/spree/spree/pull/10528) ([nnande](https://github.com/nnande))
- Fix payment methods display when payment_sources are available [#10526](https://github.com/spree/spree/pull/10526) ([szymoniwacz](https://github.com/szymoniwacz))
- Cleanup of Order/Line Item total methods and API v2 [#10525](https://github.com/spree/spree/pull/10525) ([damianlegawiec](https://github.com/damianlegawiec))
- Basic support for open graph meta tags for PDP [#10524](https://github.com/spree/spree/pull/10524) ([nnande](https://github.com/nnande))
- Normalize promotion code before validation [#10523](https://github.com/spree/spree/pull/10523) ([storm2513](https://github.com/storm2513))
- Fixes bugs with js-filter badges [#10521](https://github.com/spree/spree/pull/10521) ([aplegatt](https://github.com/aplegatt))
- Add method: :get to checkout logo link. [#10520](https://github.com/spree/spree/pull/10520) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Sd 875 add promotion code again by admin [#10518](https://github.com/spree/spree/pull/10518) ([KacperMekarski](https://github.com/KacperMekarski))
- Fix order outstanding balance when store credit is without auto capture [#10516](https://github.com/spree/spree/pull/10516) ([szymoniwacz](https://github.com/szymoniwacz))
- Add last_modified and etag helper methods for Spree::ProductsController [#10515](https://github.com/spree/spree/pull/10515) ([nnande](https://github.com/nnande))
- API v2 always include shipping rates as shipment relationship [#10514](https://github.com/spree/spree/pull/10514) ([damianlegawiec](https://github.com/damianlegawiec))
- Spree::ProductHelper#product_variants_matrix - pass an instance of cu… [#10512](https://github.com/spree/spree/pull/10512) ([nnande](https://github.com/nnande))
- Change structure of remove address button [#10511](https://github.com/spree/spree/pull/10511) ([AleksandraKaminska](https://github.com/AleksandraKaminska))
- Fix checkout order summary on safari [#10510](https://github.com/spree/spree/pull/10510) ([AleksandraKaminska](https://github.com/AleksandraKaminska))
- Fix N+1 queries on /api/v2/storefront/taxons [#10508](https://github.com/spree/spree/pull/10508) ([yann120](https://github.com/yann120))
- SD-942 hide outdated cards in checkout [#10503](https://github.com/spree/spree/pull/10503) ([KacperMekarski](https://github.com/KacperMekarski))
- Fix DB_EXCEPTIONS Warning [#10498](https://github.com/spree/spree/pull/10498) ([poudelprakash](https://github.com/poudelprakash))
- Update Guides dependencies [#10496](https://github.com/spree/spree/pull/10496) ([damianlegawiec](https://github.com/damianlegawiec))
- Adds active_storage_validations and mailer_logo validation [#10495](https://github.com/spree/spree/pull/10495) ([aplegatt](https://github.com/aplegatt))
- Fix failing specs for PromotionDuplicator [#10493](https://github.com/spree/spree/pull/10493) ([Vegann](https://github.com/Vegann))
- Update the Spelling [#10492](https://github.com/spree/spree/pull/10492) ([Piyush-Chaudhary](https://github.com/Piyush-Chaudhary))
- Fix link to Active Merchant supported gateways [#10490](https://github.com/spree/spree/pull/10490) ([akshatkedia](https://github.com/akshatkedia))
- [EN-499] Adds uploading of mailer logo to store form [#10489](https://github.com/spree/spree/pull/10489) ([aplegatt](https://github.com/aplegatt))
- Fix code quality issues [#10488](https://github.com/spree/spree/pull/10488) ([ravi-deepsource](https://github.com/ravi-deepsource))
- Add random string instead of 'new' in a duplicated promotion. [#10486](https://github.com/spree/spree/pull/10486) ([Vegann](https://github.com/Vegann))
- Address Book API endpoints [#10485](https://github.com/spree/spree/pull/10485) ([kgorazd](https://github.com/kgorazd))
- API v2 include Stock Location relationship in Checkout Shipping Rates endpoint [#10484](https://github.com/spree/spree/pull/10484) ([damianlegawiec](https://github.com/damianlegawiec))
- Improve Carmen Data Import [#10483](https://github.com/spree/spree/pull/10483) ([MatthewKennedy](https://github.com/MatthewKennedy))
- API v2 Set order state to delivery if selected shipping rate is changed [#10480](https://github.com/spree/spree/pull/10480) ([johannboutet](https://github.com/johannboutet))
- API v2 Set order state to address if billing or shipping  address is updated [#10476](https://github.com/spree/spree/pull/10476) ([johannboutet](https://github.com/johannboutet))
- [EN-461] Fixes logos and email from addresses for OrderMailer with multiple stores [#10473](https://github.com/spree/spree/pull/10473) ([aplegatt](https://github.com/aplegatt))
- Fixes PLP Images URLs [#10472](https://github.com/spree/spree/pull/10472) ([damianlegawiec](https://github.com/damianlegawiec))
- Fix the mkdir command instruction [#10470](https://github.com/spree/spree/pull/10470) ([RaminMammadzada](https://github.com/RaminMammadzada))
- Bump version to 4.2.0.beta :rocket: [#10469](https://github.com/spree/spree/pull/10469) ([damianlegawiec](https://github.com/damianlegawiec))
- Fixes cancel button url on store edit page [#10468](https://github.com/spree/spree/pull/10468) ([aplegatt](https://github.com/aplegatt))
- Use scope to select payment states [#10467](https://github.com/spree/spree/pull/10467) ([lifelofranco](https://github.com/lifelofranco))
- [EN-462] Small change for product form stores field on admin panel [#10464](https://github.com/spree/spree/pull/10464) ([aplegatt](https://github.com/aplegatt))
- [EN-462] Fixes admin panel bug with stores field on product form [#10463](https://github.com/spree/spree/pull/10463) ([aplegatt](https://github.com/aplegatt))
- Add unique index on taxon_id and product_id to spree_products_taxons [#10462](https://github.com/spree/spree/pull/10462) ([kgorazd](https://github.com/kgorazd))
- Add email preview for order store_owner_notification mail [#10461](https://github.com/spree/spree/pull/10461) ([AleksandraKaminska](https://github.com/AleksandraKaminska))
- Add user_mailers previews [#10460](https://github.com/spree/spree/pull/10460) ([AleksandraKaminska](https://github.com/AleksandraKaminska))
- Fix cache issue: avoid `ActionView::Template::Error` #10381 [#10459](https://github.com/spree/spree/pull/10459) ([hoshinotsuyoshi](https://github.com/hoshinotsuyoshi))
- Display store payment methods [#10457](https://github.com/spree/spree/pull/10457) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- [SD-936] Modify thank you part in email and add some space on the bottom [#10454](https://github.com/spree/spree/pull/10454) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- Storefront - Api for fetching details of a store by its code [#10453](https://github.com/spree/spree/pull/10453) ([coolprobn](https://github.com/coolprobn))
- [SD-884] Use pretty_time on stock transfer created_at [#10450](https://github.com/spree/spree/pull/10450) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- [SD-933] Improve footer store name [#10449](https://github.com/spree/spree/pull/10449) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- Add compare_at_price to products api [#10448](https://github.com/spree/spree/pull/10448) ([poudelprakash](https://github.com/poudelprakash))
- Added Product#default_variant_cache_key [#10447](https://github.com/spree/spree/pull/10447) ([damianlegawiec](https://github.com/damianlegawiec))
- [SD-892] Better display shipping free when promotion is applied [#10446](https://github.com/spree/spree/pull/10446) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- Update link to testing instructions, fixes #10444 [#10445](https://github.com/spree/spree/pull/10445) ([camro](https://github.com/camro))
- Fix emails preview text [#10441](https://github.com/spree/spree/pull/10441) ([AleksandraKaminska](https://github.com/AleksandraKaminska))
- Update friendly_id requirement from >= 5.2.1, < 5.4.0 to >= 5.2.1, < 5.5.0 in /core [#10440](https://github.com/spree/spree/pull/10440) ([dependabot-preview](https://github.com/apps/dependabot-preview))
- [SD-927] Show active store with bolded text [#10439](https://github.com/spree/spree/pull/10439) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- [SD-855] Improve address label html structure and add role button in address icons [#10438](https://github.com/spree/spree/pull/10438) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- [SD-741] Fix PDP thumbnails carousel scrolling behaviour [#10437](https://github.com/spree/spree/pull/10437) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- Fix PLP searcher (spree-multi-domain) [#10436](https://github.com/spree/spree/pull/10436) ([tomurb](https://github.com/tomurb))
- [SD-832] Remove autofocus attributes [#10435](https://github.com/spree/spree/pull/10435) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- Fix uploading svg logo [#10433](https://github.com/spree/spree/pull/10433) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- [SD-915] Fixes user dropdown on promotion form showing not matching emails [#10427](https://github.com/spree/spree/pull/10427) ([aplegatt](https://github.com/aplegatt))
- load all countries on create. [#10426](https://github.com/spree/spree/pull/10426) ([MatthewKennedy](https://github.com/MatthewKennedy))
- [SD-922] Fixes issue with not being able to disable currency settings [#10425](https://github.com/spree/spree/pull/10425) ([aplegatt](https://github.com/aplegatt))
- [SD-899] Add timezone in returns views [#10424](https://github.com/spree/spree/pull/10424) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- Add validation code uniqueness [#10421](https://github.com/spree/spree/pull/10421) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Frontend Mobile Nav Top Bar [#10419](https://github.com/spree/spree/pull/10419) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Lock thor at 0.20.3 [#10418](https://github.com/spree/spree/pull/10418) ([damianlegawiec](https://github.com/damianlegawiec))
- Order the content & images for easy understanding [#10417](https://github.com/spree/spree/pull/10417) ([bharathiraja252](https://github.com/bharathiraja252))
- [SDP-420] Set page invalidated on login submit to prevent scrolling with turbolinks [#10416](https://github.com/spree/spree/pull/10416) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- [SD-920] Increase close button clickable area [#10415](https://github.com/spree/spree/pull/10415) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- [SD-918] Blur option value after click to avoid overlapping tooltips [#10414](https://github.com/spree/spree/pull/10414) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- [SD-910] Correct variants flash message [#10412](https://github.com/spree/spree/pull/10412) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- Outstanding balance uses reimbursement [#10411](https://github.com/spree/spree/pull/10411) ([chrishummel](https://github.com/chrishummel))
- [SDP-413] Translate order adjustments state [#10410](https://github.com/spree/spree/pull/10410) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- [SD-915] Fixes promotions user dropdown not showing user emails based on entered query phrase [#10408](https://github.com/spree/spree/pull/10408) ([aplegatt](https://github.com/aplegatt))
- [SD-894] Make close contextual menu button always visible [#10406](https://github.com/spree/spree/pull/10406) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- Admin Country Updates [#10405](https://github.com/spree/spree/pull/10405) ([MatthewKennedy](https://github.com/MatthewKennedy))
- show mobile navigation sub navigation only if root items are present [#10404](https://github.com/spree/spree/pull/10404) ([bhtabor](https://github.com/bhtabor))
- Fix Alignment & Logo [#10400](https://github.com/spree/spree/pull/10400) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Fix call & email us text staying in footer, even if fields are blank. [#10396](https://github.com/spree/spree/pull/10396) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Make config :show raw product_description usable in new storefront. [#10395](https://github.com/spree/spree/pull/10395) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Sortable Backwards Compatibility [#10394](https://github.com/spree/spree/pull/10394) ([MatthewKennedy](https://github.com/MatthewKennedy))
- fix frontend product partial nil price ternary operator bug [#10393](https://github.com/spree/spree/pull/10393) ([bhtabor](https://github.com/bhtabor))
- Restores jquery.payment source [#10392](https://github.com/spree/spree/pull/10392) ([aplegatt](https://github.com/aplegatt))
- [SD-907] Fixes error on credit card payment checkout step [#10391](https://github.com/spree/spree/pull/10391) ([aplegatt](https://github.com/aplegatt))
- [SD-891] Fix persisting flash message [#10390](https://github.com/spree/spree/pull/10390) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- [SD-905] Adds product_add_to_cart event triggering [#10389](https://github.com/spree/spree/pull/10389) ([aplegatt](https://github.com/aplegatt))
- [SD-866] Fix close button on gallery modal [#10388](https://github.com/spree/spree/pull/10388) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- Improve z-index javascript fix for Select2 z-index [#10387](https://github.com/spree/spree/pull/10387) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Adds ability o set Store logo via Admin Panel [#10386](https://github.com/spree/spree/pull/10386) ([damianlegawiec](https://github.com/damianlegawiec))
- Fixed ActiveRecord::StatementInvalid: Could not find table 'spree_sto… [#10385](https://github.com/spree/spree/pull/10385) ([damianlegawiec](https://github.com/damianlegawiec))
- [SD-894] Add close button in contextual menu [#10384](https://github.com/spree/spree/pull/10384) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- [SD-899] Add timezone to dates across entire app [#10382](https://github.com/spree/spree/pull/10382) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- [SD-903] Fix missing product added modal when related products are loaded [#10380](https://github.com/spree/spree/pull/10380) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- ADMIN: Small css tweaks. [#10379](https://github.com/spree/spree/pull/10379) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Admin UI & UX Improvements [#10375](https://github.com/spree/spree/pull/10375) ([MatthewKennedy](https://github.com/MatthewKennedy))
- [SD-876] Improve colors while adding new product using prototype [#10373](https://github.com/spree/spree/pull/10373) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- use Spree.ready instead of document ready on checkout address book [#10369](https://github.com/spree/spree/pull/10369) ([chinoxchen](https://github.com/chinoxchen))
- Payments Card Page Update [#10366](https://github.com/spree/spree/pull/10366) ([MatthewKennedy](https://github.com/MatthewKennedy))
- [SD-885] Adds check and flash message when trying to create stock transfer with a variant not available on hand in source location [#10365](https://github.com/spree/spree/pull/10365) ([aplegatt](https://github.com/aplegatt))
- Replace jquery.payment with cleave [#10363](https://github.com/spree/spree/pull/10363) ([MatthewKennedy](https://github.com/MatthewKennedy))
- [SDP-326] Select radio button immediately after click [#10361](https://github.com/spree/spree/pull/10361) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- [SD-882] Improve product properties view on mobile [#10360](https://github.com/spree/spree/pull/10360) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- [SD-884] Format date to show timezone name in stock transfers list [#10358](https://github.com/spree/spree/pull/10358) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- [SD-877] Fix entering taxonomy menu on iOS devices [#10357](https://github.com/spree/spree/pull/10357) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- Lower z-index on flatpickr, select2 & tooltips [#10356](https://github.com/spree/spree/pull/10356) ([MatthewKennedy](https://github.com/MatthewKennedy))
- ADMIN: Fix Bad ID on address form + Select2 styling. [#10355](https://github.com/spree/spree/pull/10355) ([MatthewKennedy](https://github.com/MatthewKennedy))
- ADMIN: Valid HTML [#10354](https://github.com/spree/spree/pull/10354) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Remove ID's & serif declerations from SVG's for valid HTML [#10353](https://github.com/spree/spree/pull/10353) ([MatthewKennedy](https://github.com/MatthewKennedy))
- [SD-873] Fix additional scrollbar on Chrome/Windows [#10352](https://github.com/spree/spree/pull/10352) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- Align Product Buttons [#10351](https://github.com/spree/spree/pull/10351) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Fix Appearance of Action Buttons in The Contextual Menu [#10350](https://github.com/spree/spree/pull/10350) ([MatthewKennedy](https://github.com/MatthewKennedy))
- [WCAG-33] Use aria-label in radio button so the color could be read by voice over app [#10349](https://github.com/spree/spree/pull/10349) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- [SD-874] Prevent showing tooltip on touch devices to avoid uncrolled behavior [#10348](https://github.com/spree/spree/pull/10348) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- ADMIN: Add purify.js to Stop XXS Attacks on Admin. [#10346](https://github.com/spree/spree/pull/10346) ([MatthewKennedy](https://github.com/MatthewKennedy))
- ADMIN: Set .card overflow to hidden [#10344](https://github.com/spree/spree/pull/10344) ([MatthewKennedy](https://github.com/MatthewKennedy))
- ADMIN: contentHeader ID Moved Up [#10343](https://github.com/spree/spree/pull/10343) ([MatthewKennedy](https://github.com/MatthewKennedy))
- ADMIN: Sticky Contextual Menu on Large Screens [#10342](https://github.com/spree/spree/pull/10342) ([MatthewKennedy](https://github.com/MatthewKennedy))
- ADMIN: Bounce-in / fade-out alerts. [#10341](https://github.com/spree/spree/pull/10341) ([MatthewKennedy](https://github.com/MatthewKennedy))
- ADMIN: Use new svg's in payment actions. [#10340](https://github.com/spree/spree/pull/10340) ([MatthewKennedy](https://github.com/MatthewKennedy))
- ADMIN: Select2 Styling Improvements [#10339](https://github.com/spree/spree/pull/10339) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Fix mismatched tags in default frontend [#10338](https://github.com/spree/spree/pull/10338) ([stefanwild](https://github.com/stefanwild))
- [SD-874] Add complete function with blur event to hide tooltip when request finishes [#10336](https://github.com/spree/spree/pull/10336) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- Refine Flatpicker Admin Javascript [#10335](https://github.com/spree/spree/pull/10335) ([MatthewKennedy](https://github.com/MatthewKennedy))
- [SD-889] Fix new reimbursement form checkboxes [#10334](https://github.com/spree/spree/pull/10334) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- [SD-863] Fixes 500 error when creating stock location with propagate all variants option [#10333](https://github.com/spree/spree/pull/10333) ([aplegatt](https://github.com/aplegatt))
- [WCAG-33] Pass color option value name and use it as a title [#10332](https://github.com/spree/spree/pull/10332) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- Incorrect I18n scopes used in admin/state_changes/index.html.erb [#10331](https://github.com/spree/spree/pull/10331) ([gamecreature](https://github.com/gamecreature))
- [WCAG-38] Add aria label in checkout navigation related elements [#10330](https://github.com/spree/spree/pull/10330) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- Improve Promotions UX [#10329](https://github.com/spree/spree/pull/10329) ([MatthewKennedy](https://github.com/MatthewKennedy))
- [SD-872] Removes required attribute from Shipping Categories dropdown [#10328](https://github.com/spree/spree/pull/10328) ([aplegatt](https://github.com/aplegatt))
- [SDP-331] Shows email FROM address using reimbursement store's data [#10327](https://github.com/spree/spree/pull/10327) ([aplegatt](https://github.com/aplegatt))
- Mobile Friendly Flatpickr Cal On Admin. [#10326](https://github.com/spree/spree/pull/10326) ([MatthewKennedy](https://github.com/MatthewKennedy))
- [SD-839] Increase clickable area in back navigation arrow [#10325](https://github.com/spree/spree/pull/10325) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- irremovable-promotions [#10324](https://github.com/spree/spree/pull/10324) ([tomurb](https://github.com/tomurb))
- Use a single button in the content header to trigger the dropdown. [#10320](https://github.com/spree/spree/pull/10320) ([MatthewKennedy](https://github.com/MatthewKennedy))
- [SD-870] Change default orders count to 15 [#10318](https://github.com/spree/spree/pull/10318) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- [SD-874] Change tooltip container so tooltip could disapear when its parent is deleted [#10317](https://github.com/spree/spree/pull/10317) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- [SD-869] Fix badge icon [#10316](https://github.com/spree/spree/pull/10316) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- [SD-868] Fix missing arrows in callendar [#10315](https://github.com/spree/spree/pull/10315) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- [SD-867] Increase sidebar width on large size [#10314](https://github.com/spree/spree/pull/10314) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- Small Admin Fixes [#10313](https://github.com/spree/spree/pull/10313) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Add missing icon in admin panel [#10312](https://github.com/spree/spree/pull/10312) ([AleksandraKaminska](https://github.com/AleksandraKaminska))
- [SDP-340] Fixes currency on variants list for product [#10309](https://github.com/spree/spree/pull/10309) ([aplegatt](https://github.com/aplegatt))
- UX Change - Move clickable items to the first column (products & orders) [#10307](https://github.com/spree/spree/pull/10307) ([MatthewKennedy](https://github.com/MatthewKennedy))
- More Responsive Table fixes [#10306](https://github.com/spree/spree/pull/10306) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Updates migrations with column_exists checks [#10305](https://github.com/spree/spree/pull/10305) ([aplegatt](https://github.com/aplegatt))
- Remove duplicated jquery import [#10304](https://github.com/spree/spree/pull/10304) ([AleksandraKaminska](https://github.com/AleksandraKaminska))
- Fix flash of old arrow in ransackable tables. [#10303](https://github.com/spree/spree/pull/10303) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Small Fixes [#10302](https://github.com/spree/spree/pull/10302) ([MatthewKennedy](https://github.com/MatthewKennedy))
- [SDP-385] Fixes products carousel caching problem [#10301](https://github.com/spree/spree/pull/10301) ([aplegatt](https://github.com/aplegatt))
- SDP-388 Edit icons are significantly enlarged [#10300](https://github.com/spree/spree/pull/10300) ([AleksandraKaminska](https://github.com/AleksandraKaminska))
- SDP-306 - DE Store needs translation for 404 pages [#10299](https://github.com/spree/spree/pull/10299) ([AleksandraKaminska](https://github.com/AleksandraKaminska))
- [SDP-311] Order Confirmation page needs translation of months [#10298](https://github.com/spree/spree/pull/10298) ([AleksandraKaminska](https://github.com/AleksandraKaminska))
- Fix Over Scroll In Admin  [#10297](https://github.com/spree/spree/pull/10297) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Add A Responsive Contextual Menu To Admin [#10296](https://github.com/spree/spree/pull/10296) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Add metadata to gemspecs [#10295](https://github.com/spree/spree/pull/10295) ([dav-armour](https://github.com/dav-armour))
- [WCAG-39] Fix issues reported by axe tool on cart page [#10294](https://github.com/spree/spree/pull/10294) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- Fix email styling issues with order adjustments [#10293](https://github.com/spree/spree/pull/10293) ([dav-armour](https://github.com/dav-armour))
- [SDP-352] Fixes for mailer issues related to stores [#10292](https://github.com/spree/spree/pull/10292) ([aplegatt](https://github.com/aplegatt))
- Fix firefox bug for incorrect input width with display flex property [#10291](https://github.com/spree/spree/pull/10291) ([AleksandraKaminska](https://github.com/AleksandraKaminska))
- [WCAG-37] Fix Landmarks must be uniquely identifiable issue [#10290](https://github.com/spree/spree/pull/10290) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- [WCAG-38] Add aria-label attribute to multiple navigation elementns [#10289](https://github.com/spree/spree/pull/10289) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- [SDP-357] Add additional filter partials [#10288](https://github.com/spree/spree/pull/10288) ([AleksandraKaminska](https://github.com/AleksandraKaminska))
- [WCAG-36] Fix duplicated icons/links [#10287](https://github.com/spree/spree/pull/10287) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- [SDP-340] Fixes products in admin taxons displaying prices only in USD [#10284](https://github.com/spree/spree/pull/10284) ([aplegatt](https://github.com/aplegatt))
- :globe_with_meridians: (en) add missing translation shipment [#10282](https://github.com/spree/spree/pull/10282) ([imgarylai](https://github.com/imgarylai))
- incorporate cache_version in variant in_stock method [#10281](https://github.com/spree/spree/pull/10281) ([Oldharlem](https://github.com/Oldharlem))
- Admin Update With Inline SVG's [#10279](https://github.com/spree/spree/pull/10279) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Added ability to conditionally disable Variant SKU uniqueness validation [#10278](https://github.com/spree/spree/pull/10278) ([damianlegawiec](https://github.com/damianlegawiec))
- [WCAG-35] Open meganav submenu on focus [#10277](https://github.com/spree/spree/pull/10277) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- Add example how to swap API dependencies in spree initializer [#10273](https://github.com/spree/spree/pull/10273) ([damianlegawiec](https://github.com/damianlegawiec))
- Allow to use custom ability classes in testing environment [#10271](https://github.com/spree/spree/pull/10271) ([damianlegawiec](https://github.com/damianlegawiec))
- [WCAG-24] Add role navigation attribute [#10268](https://github.com/spree/spree/pull/10268) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- [WCAG-18] Fix main categories structure so user could see outline [#10267](https://github.com/spree/spree/pull/10267) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- [SDP-343] Fixes multiple occurences of a product on admin products list search [#10265](https://github.com/spree/spree/pull/10265) ([aplegatt](https://github.com/aplegatt))
- [SDP-250] Add vendor visibility on PDP with redirect to Vendor PLP [#10263](https://github.com/spree/spree/pull/10263) ([AleksandraKaminska](https://github.com/AleksandraKaminska))
- :building_construction: (backend) improve customer attribute editor. [#10262](https://github.com/spree/spree/pull/10262) ([imgarylai](https://github.com/imgarylai))
- [SDP-348] Filters are not highlighted after picking and refreshing modal [#10260](https://github.com/spree/spree/pull/10260) ([AleksandraKaminska](https://github.com/AleksandraKaminska))
- [SDP-337] Make sure to enable place order button when payment method is changed [#10259](https://github.com/spree/spree/pull/10259) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- API v2 checkout update rescue from GatewayError [#10257](https://github.com/spree/spree/pull/10257) ([johannboutet](https://github.com/johannboutet))
- :lipstick: (footer) there might be some store without phone number. [#10256](https://github.com/spree/spree/pull/10256) ([imgarylai](https://github.com/imgarylai))
- [SDP-295] Fixes error on product search in admin panel when spree_globalize is used [#10255](https://github.com/spree/spree/pull/10255) ([aplegatt](https://github.com/aplegatt))
- Feature: Order Notification Emails for Store Owner [#10253](https://github.com/spree/spree/pull/10253) ([imderek](https://github.com/imderek))
- :bug: (variant) fix variant searching issue [#10252](https://github.com/spree/spree/pull/10252) ([imgarylai](https://github.com/imgarylai))
- Allow user to add names to addresses. [#10250](https://github.com/spree/spree/pull/10250) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Avoid duplicate ID's in DOM [#10248](https://github.com/spree/spree/pull/10248) ([MatthewKennedy](https://github.com/MatthewKennedy))
- add id to each of menu item [#10245](https://github.com/spree/spree/pull/10245) ([imgarylai](https://github.com/imgarylai))
- Retain Zip Code Value When Optional [#10241](https://github.com/spree/spree/pull/10241) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Add ship to address on "Choose Delivery Method" page. [#10239](https://github.com/spree/spree/pull/10239) ([MatthewKennedy](https://github.com/MatthewKennedy))
- [SDP-304] Shows my account store credits in current currency [#10238](https://github.com/spree/spree/pull/10238) ([aplegatt](https://github.com/aplegatt))
- Use zoom-in cursor as fallback [#10237](https://github.com/spree/spree/pull/10237) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- Fix selection of sorting products [#10236](https://github.com/spree/spree/pull/10236) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- hide carousel thumbnails arrows on PDP with small number of images [#10235](https://github.com/spree/spree/pull/10235) ([AleksandraKaminska](https://github.com/AleksandraKaminska))
- [SDP-303] Uses name instead of presentation parameter to compare [#10234](https://github.com/spree/spree/pull/10234) ([aplegatt](https://github.com/aplegatt))
- Fixes #10176 prioritizes displaying images for All variants first [#10231](https://github.com/spree/spree/pull/10231) ([damianlegawiec](https://github.com/damianlegawiec))
- Changes country picker dropdown flag icon to globe [#10230](https://github.com/spree/spree/pull/10230) ([aplegatt](https://github.com/aplegatt))
- [SDP-303] Fixes problem with color picker on filters when OptionType has been translated [#10229](https://github.com/spree/spree/pull/10229) ([aplegatt](https://github.com/aplegatt))
- Update kaminari to 1.2.1 to fix GHSA-r5jw-62xg-j433 [#10228](https://github.com/spree/spree/pull/10228) ([damianlegawiec](https://github.com/damianlegawiec))
- All CSS Slide in Form labels on Address Fields. [#10227](https://github.com/spree/spree/pull/10227) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Fixes problem with color picker when OptionType name has been translated [#10220](https://github.com/spree/spree/pull/10220) ([aplegatt](https://github.com/aplegatt))
- Fixes missing country picker flags [#10214](https://github.com/spree/spree/pull/10214) ([aplegatt](https://github.com/aplegatt))
- [WCAG-17] Fix choosing variants on PDP using keyboard [#10210](https://github.com/spree/spree/pull/10210) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- [WCAG-16] Make sort button and filters on PLP accessible and interactive [#10209](https://github.com/spree/spree/pull/10209) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- [WCAG-15] Fix tabindex on checkout confirm page by removing flex order [#10208](https://github.com/spree/spree/pull/10208) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- [WCAG-13][WCAG-14] Add focus indicator to radio buttons [#10207](https://github.com/spree/spree/pull/10207) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- [WCAG-12] Fix login form tabindex order [#10205](https://github.com/spree/spree/pull/10205) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- [WCAG-11] Wrap checkout footer content with footer tags [#10204](https://github.com/spree/spree/pull/10204) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- [WCAG-10] Add aria labels in checkout address step inputs [#10203](https://github.com/spree/spree/pull/10203) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- [WCAG-9] AAU I can navigate the main menu using TAB key [#10202](https://github.com/spree/spree/pull/10202) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- [WCAG-8] Add title attr to search field [#10201](https://github.com/spree/spree/pull/10201) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- [WCAG-7] Use submit button instead of submit input [#10200](https://github.com/spree/spree/pull/10200) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- [WCAG-6] Fix aria-labelledby attr [#10199](https://github.com/spree/spree/pull/10199) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- [WCAG-5] Add aria-label attr to search input [#10198](https://github.com/spree/spree/pull/10198) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- [WCAG-4] Add aria-label attribute to affected links [#10197](https://github.com/spree/spree/pull/10197) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- [WCAG-3] Optimize pagination svg icons in order to avoid id's collisions [#10196](https://github.com/spree/spree/pull/10196) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- WCAG-2 Update fashion trends note [#10193](https://github.com/spree/spree/pull/10193) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- Add a spec test for the product properties functionality on the frontend [#10191](https://github.com/spree/spree/pull/10191) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Fixes checkout progress line [#10178](https://github.com/spree/spree/pull/10178) ([aplegatt](https://github.com/aplegatt))
- Add new tutorial for basic product attribute extension [#10177](https://github.com/spree/spree/pull/10177) ([flobby](https://github.com/flobby))
- update swager doc [#10174](https://github.com/spree/spree/pull/10174) ([chhlga](https://github.com/chhlga))
- includes translations to avoid n + 1 query [#10173](https://github.com/spree/spree/pull/10173) ([imgarylai](https://github.com/imgarylai))
- use i18n helper to show the page title [#10172](https://github.com/spree/spree/pull/10172) ([imgarylai](https://github.com/imgarylai))
- Update bootstrap requirement from ~> 4.3.1 to >= 4.3.1, < 4.6.0 in /backend [#10169](https://github.com/spree/spree/pull/10169) ([dependabot-preview](https://github.com/apps/dependabot-preview))
- Update bootstrap requirement from ~> 4.3.1 to >= 4.3.1, < 4.6.0 in /frontend [#10168](https://github.com/spree/spree/pull/10168) ([dependabot-preview](https://github.com/apps/dependabot-preview))
- Developing spree documentation enhancements [#10167](https://github.com/spree/spree/pull/10167) ([damianlegawiec](https://github.com/damianlegawiec))
- Adds The Ability To Show / Not Show Specific Product Properties [#10163](https://github.com/spree/spree/pull/10163) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Use Spree Dev Tools in extension generator [#10162](https://github.com/spree/spree/pull/10162) ([damianlegawiec](https://github.com/damianlegawiec))
- Add safeguard for scenarios where supported_currencies is nil [#10161](https://github.com/spree/spree/pull/10161) ([damianlegawiec](https://github.com/damianlegawiec))
- Add Customer Returns API v1 docs [#10159](https://github.com/spree/spree/pull/10159) ([storhet](https://github.com/storhet))
- Add missing attribute for taxon [#10158](https://github.com/spree/spree/pull/10158) ([flobby](https://github.com/flobby))
- [SD-234] Adds compare at price editing for admin product prices tab [#10157](https://github.com/spree/spree/pull/10157) ([aplegatt](https://github.com/aplegatt))
- Set Product Variant Via URL Query Parameter [#10156](https://github.com/spree/spree/pull/10156) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Extensions tutorial: fix VariantDecorator example. [#10155](https://github.com/spree/spree/pull/10155) ([emystein](https://github.com/emystein))
- [SD-828] return active record relation instead of array [#10153](https://github.com/spree/spree/pull/10153) ([chhlga](https://github.com/chhlga))
- Updates migrations with column_exists checks [#10152](https://github.com/spree/spree/pull/10152) ([aplegatt](https://github.com/aplegatt))
- Introduce concat taxons filter [#10151](https://github.com/spree/spree/pull/10151) ([flobby](https://github.com/flobby))
- Fix #169 spree_related_products issue with spree_globalize [#10150](https://github.com/spree/spree/pull/10150) ([AleksandraKaminska](https://github.com/AleksandraKaminska))
- Reverting changes from SD-633 PR #10079 [#10149](https://github.com/spree/spree/pull/10149) ([aplegatt](https://github.com/aplegatt))
- Fixed: throw(:abort) cannot be called in after_ callbacks [#10148](https://github.com/spree/spree/pull/10148) ([damianlegawiec](https://github.com/damianlegawiec))
- [SD-838] Fixes filters list scroller [#10147](https://github.com/spree/spree/pull/10147) ([aplegatt](https://github.com/aplegatt))
- [SD-837] Changes 'email' edit link on my account to 'account info' [#10145](https://github.com/spree/spree/pull/10145) ([aplegatt](https://github.com/aplegatt))
- Storefront country picker [#10139](https://github.com/spree/spree/pull/10139) ([arudnicka](https://github.com/arudnicka))
- #10117 Add record_type: address to cart_serializer, and fix rspec [#10137](https://github.com/spree/spree/pull/10137) ([cuon-kakimoto](https://github.com/cuon-kakimoto))
- Fixes requesting products from multiple taxon in API v2 [#10136](https://github.com/spree/spree/pull/10136) ([damianlegawiec](https://github.com/damianlegawiec))
- Fix issue #9940 [#10135](https://github.com/spree/spree/pull/10135) ([emystein](https://github.com/emystein))
- Extensions tutorial: remove extra % in view code [#10134](https://github.com/spree/spree/pull/10134) ([emystein](https://github.com/emystein))
- Enable product filtering within multiple `taxons` #10132 [#10133](https://github.com/spree/spree/pull/10133) ([oklas](https://github.com/oklas))
- Use filtering_params_cache_key in option values partial rather than t… [#10131](https://github.com/spree/spree/pull/10131) ([damianlegawiec](https://github.com/damianlegawiec))
- Fix FrontendHelper#filtering_params_cache_key [#10130](https://github.com/spree/spree/pull/10130) ([damianlegawiec](https://github.com/damianlegawiec))
- Product list filters additional optimization techniques [#10129](https://github.com/spree/spree/pull/10129) ([damianlegawiec](https://github.com/damianlegawiec))
- [SD-263] Spree::Store fields for footer info [#10128](https://github.com/spree/spree/pull/10128) ([aplegatt](https://github.com/aplegatt))
- Issue #10126 Product cache key contains promotion address in memory [#10127](https://github.com/spree/spree/pull/10127) ([v-may](https://github.com/v-may))
- Fixes to Products filtering by Taxon [#10125](https://github.com/spree/spree/pull/10125) ([damianlegawiec](https://github.com/damianlegawiec))
- Improves products list performance by avoiding to call the SQL query … [#10124](https://github.com/spree/spree/pull/10124) ([damianlegawiec](https://github.com/damianlegawiec))
- Adds ability to configure site-wide products filters via config [#10123](https://github.com/spree/spree/pull/10123) ([damianlegawiec](https://github.com/damianlegawiec))
- Small changes to the structured data. [#10122](https://github.com/spree/spree/pull/10122) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Fix for issue #10120 [#10121](https://github.com/spree/spree/pull/10121) ([v-may](https://github.com/v-may))
- Update twitter_cldr requirement from >= 4.3, < 6.0 to >= 4.3, < 7.0 in /core [#10113](https://github.com/spree/spree/pull/10113) ([dependabot-preview](https://github.com/apps/dependabot-preview))
- Added multi store support to Spree core emails [#10109](https://github.com/spree/spree/pull/10109) ([damianlegawiec](https://github.com/damianlegawiec))
- Use ActionController::API for API v1 controllers [#10106](https://github.com/spree/spree/pull/10106) ([damianlegawiec](https://github.com/damianlegawiec))
- [SD-234] Crossed out compare at price [#10105](https://github.com/spree/spree/pull/10105) ([aplegatt](https://github.com/aplegatt))
- remove product delegated fields from api-v2 variant serializer [#10104](https://github.com/spree/spree/pull/10104) ([aforty](https://github.com/aforty))
- Guides build fix [#10102](https://github.com/spree/spree/pull/10102) ([pmilewski](https://github.com/pmilewski))
- [SD-854] Fixes Ruby 2.7 deprecation error on service module spec [#10101](https://github.com/spree/spree/pull/10101) ([aplegatt](https://github.com/aplegatt))
- Responsive transactional email templates [#10100](https://github.com/spree/spree/pull/10100) ([klaszcze](https://github.com/klaszcze))
- [SD-845] Fixes going back to checkout on Safari bug [#10096](https://github.com/spree/spree/pull/10096) ([aplegatt](https://github.com/aplegatt))
- [SD-833] Hides product added modal when leaving PDP [#10093](https://github.com/spree/spree/pull/10093) ([aplegatt](https://github.com/aplegatt))
- Fix Storefront Customization doc images [#10092](https://github.com/spree/spree/pull/10092) ([AleksandraKaminska](https://github.com/AleksandraKaminska))
- Ruby 2.7 fixes [#10090](https://github.com/spree/spree/pull/10090) ([damianlegawiec](https://github.com/damianlegawiec))
- Spree Guides: Update logic customization examples [#10085](https://github.com/spree/spree/pull/10085) ([sun-meihouwang](https://github.com/sun-meihouwang))
- [SD-838] Adds scrolling to PLP filters accordion [#10084](https://github.com/spree/spree/pull/10084) ([aplegatt](https://github.com/aplegatt))
- [SD-834] Adds email value on login page when login failed [#10083](https://github.com/spree/spree/pull/10083) ([aplegatt](https://github.com/aplegatt))
- [SD-844] Adds required fields annotation to address form [#10082](https://github.com/spree/spree/pull/10082) ([aplegatt](https://github.com/aplegatt))
- Spree Guides fixes [#10080](https://github.com/spree/spree/pull/10080) ([damianlegawiec](https://github.com/damianlegawiec))
- [SD-633] Shows all variants image as default for product if it is set [#10079](https://github.com/spree/spree/pull/10079) ([aplegatt](https://github.com/aplegatt))
- Typo fix [#10077](https://github.com/spree/spree/pull/10077) ([jolyonruss](https://github.com/jolyonruss))
- [SD-848] Adds admin taxon edit page improvements [#10075](https://github.com/spree/spree/pull/10075) ([aplegatt](https://github.com/aplegatt))
- Fix flaky locale spec [#10071](https://github.com/spree/spree/pull/10071) ([damianlegawiec](https://github.com/damianlegawiec))
- Ensure no line item quantity that exceedes underlying DB datatype ran… [#10070](https://github.com/spree/spree/pull/10070) ([nnande](https://github.com/nnande))
- Replaces theme-color functions with variables in products/index scss [#10069](https://github.com/spree/spree/pull/10069) ([aplegatt](https://github.com/aplegatt))
- [SD-849] Fixes clear all button overlapping filters [#10068](https://github.com/spree/spree/pull/10068) ([aplegatt](https://github.com/aplegatt))
- [SD-824] pass option_type presentation to dropdown menu [#10067](https://github.com/spree/spree/pull/10067) ([chhlga](https://github.com/chhlga))
- Display products from requested category and its descendants on categ… [#10066](https://github.com/spree/spree/pull/10066) ([nnande](https://github.com/nnande))
- [SD-665] Reduces continue shopping button margin on empty cart [#10065](https://github.com/spree/spree/pull/10065) ([aplegatt](https://github.com/aplegatt))
- Add Class method Zeitwerk loader migration documentation [#10064](https://github.com/spree/spree/pull/10064) ([raulperezalejo](https://github.com/raulperezalejo))
- Fixed Zone#kind getter [#10063](https://github.com/spree/spree/pull/10063) ([damianlegawiec](https://github.com/damianlegawiec))
- Always return distinct products [#10058](https://github.com/spree/spree/pull/10058) ([damianlegawiec](https://github.com/damianlegawiec))
- Spree Guides - Fix canonical url [#10057](https://github.com/spree/spree/pull/10057) ([damianlegawiec](https://github.com/damianlegawiec))
- Replace require_tree with declerative requirements [#10055](https://github.com/spree/spree/pull/10055) ([damianlegawiec](https://github.com/damianlegawiec))
- Fix account page sass variables [#10054](https://github.com/spree/spree/pull/10054) ([AleksandraKaminska](https://github.com/AleksandraKaminska))
- Add Storefront Customization section to Spree Guides [#10051](https://github.com/spree/spree/pull/10051) ([damianlegawiec](https://github.com/damianlegawiec))
- Fix extension generator with empty app folder [#10048](https://github.com/spree/spree/pull/10048) ([damianlegawiec](https://github.com/damianlegawiec))
- [SD-785] Rapidly clicking on PDP'S Quantity + or - zoom in the page - Mobile issue [#10047](https://github.com/spree/spree/pull/10047) ([pmilewski](https://github.com/pmilewski))
- Upgrade Spree Guides to Node 12 [#10045](https://github.com/spree/spree/pull/10045) ([damianlegawiec](https://github.com/damianlegawiec))
- Rubocop upgraded to 0.80 [#10044](https://github.com/spree/spree/pull/10044) ([damianlegawiec](https://github.com/damianlegawiec))
- fix falling specs [#10038](https://github.com/spree/spree/pull/10038) ([pmilewski](https://github.com/pmilewski))
- [SD-843] Adds scroll option to mobile navbar [#10037](https://github.com/spree/spree/pull/10037) ([PSzyszkaSpark](https://github.com/PSzyszkaSpark))
- replace string with array parameter [#10036](https://github.com/spree/spree/pull/10036) ([qoobaa](https://github.com/qoobaa))
- Add Customer Support Email Address [#10035](https://github.com/spree/spree/pull/10035) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Fixed ProductsHelper#cache_key_for_products [#10034](https://github.com/spree/spree/pull/10034) ([damianlegawiec](https://github.com/damianlegawiec))
- Use PermittedAttributes#address_attributes in AddressesController [#10032](https://github.com/spree/spree/pull/10032) ([damianlegawiec](https://github.com/damianlegawiec))
- Enable touch events on mobile navigation [#10030](https://github.com/spree/spree/pull/10030) ([kaliszKrzysztof](https://github.com/kaliszKrzysztof))
- Added ability to set Store locale in Admin Panel [#10029](https://github.com/spree/spree/pull/10029) ([damianlegawiec](https://github.com/damianlegawiec))
- Use currently used locale for Etag cache keys rather then static defa… [#10028](https://github.com/spree/spree/pull/10028) ([damianlegawiec](https://github.com/damianlegawiec))
- Fixes re-running of samples multiple times [#10027](https://github.com/spree/spree/pull/10027) ([damianlegawiec](https://github.com/damianlegawiec))
- [SD-843] Adds scroll option if necessary to mobile navigation [#10024](https://github.com/spree/spree/pull/10024) ([PSzyszkaSpark](https://github.com/PSzyszkaSpark))
- Added support for solargraph in development [#10023](https://github.com/spree/spree/pull/10023) ([damianlegawiec](https://github.com/damianlegawiec))
- Fixed errors with admin time helpers when nil values where supplied [#10022](https://github.com/spree/spree/pull/10022) ([damianlegawiec](https://github.com/damianlegawiec))
- Update documentation for 4.1 release [#10020](https://github.com/spree/spree/pull/10020) ([dav-armour](https://github.com/dav-armour))
- [SD-841] Creates select_user_available_addresses method in addresses_helper.rb and specs for it [#10019](https://github.com/spree/spree/pull/10019) ([PSzyszkaSpark](https://github.com/PSzyszkaSpark))
- Stop text string appearing for £ and € [#10015](https://github.com/spree/spree/pull/10015) ([MatthewKennedy](https://github.com/MatthewKennedy))
- Show Spree 4.1 homepage screenshot in Getting Started [#10014](https://github.com/spree/spree/pull/10014) ([tniezg](https://github.com/tniezg))
- [SD-824] Corrects color presentation in admin panel [#10012](https://github.com/spree/spree/pull/10012) ([PSzyszkaSpark](https://github.com/PSzyszkaSpark))
- [SD-763] Replaces store default meta description [#10000](https://github.com/spree/spree/pull/10000) ([PSzyszkaSpark](https://github.com/PSzyszkaSpark))
- [SD-806] Adds product preview buttons in product admin panel [#9999](https://github.com/spree/spree/pull/9999) ([PSzyszkaSpark](https://github.com/PSzyszkaSpark))
- [SD-811] Adds admin panel link for admin users [#9993](https://github.com/spree/spree/pull/9993) ([PSzyszkaSpark](https://github.com/PSzyszkaSpark))
- [SD-822] Changes image and product name to link in admin orders [#9990](https://github.com/spree/spree/pull/9990) ([PSzyszkaSpark](https://github.com/PSzyszkaSpark))
- [SD-823] Corrects 'pendingpackage' issue [#9987](https://github.com/spree/spree/pull/9987) ([PSzyszkaSpark](https://github.com/PSzyszkaSpark))
- API V2 Storefront Shipping Rates GET request crashes the server [fixing: #9901] [#9912](https://github.com/spree/spree/pull/9912) ([przemosk](https://github.com/przemosk))
- Update rubocop version [#9666](https://github.com/spree/spree/pull/9666) ([hmtanbir](https://github.com/hmtanbir))
- Multi Currency Improvements [#9415](https://github.com/spree/spree/pull/9415) ([PSzyszkaSpark](https://github.com/PSzyszkaSpark))

[4.3.0]: https://github.com/spree/spree/compare/v4.2.0...v4.3.0
[4.2.0]: https://github.com/spree/spree/compare/v4.1.0...v4.2.0
